GNU bug report logs - #53144
[PATCH 0/13] Make more git-using packages auto-updatable

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Maxime Devos <maximedevos@HIDDEN>; Keywords: moreinfo patch; dated Sun, 9 Jan 2022 19:09:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 6 Jun 2022 15:15:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 11:15:45 2022
Received: from localhost ([127.0.0.1]:36505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyESG-0003zt-St
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 11:15:45 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:34282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nyESE-0003zc-AN
 for 53144 <at> debbugs.gnu.org; Mon, 06 Jun 2022 11:15:43 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by laurent.telenet-ops.be with bizsmtp
 id frFf270074UW6Th01rFf55; Mon, 06 Jun 2022 17:15:40 +0200
Message-ID: <fa26ecf59ea086198c9a3cf8e56a00129d31fa77.camel@HIDDEN>
Subject: Re: bug#53144: [PATCH 0/13] Make more git-using packages
 auto-updatable
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Date: Mon, 06 Jun 2022 17:15:35 +0200
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-4IRTC4mnJ3aN/ZTg9JbB"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1654528540; bh=xLo3SIJOCobK3LDrneEQjypepjBo9xSPsE1HMkx28YI=;
 h=Subject:From:To:Date;
 b=mRFckLIoRKXn/gxxY6z+mduVA2PipZWhsE5eFpEcyoCAgzTBTy2zCBcMHV9lyrBBj
 6wkSgwb568syfV0rKr1YptFR4Qs84CKWlKWGmW6jaXpGJhZNH5xsMAhTICrqRYKlYr
 lftZleC6T0jMaadjMkF4o26bUU3CXGSz/15pcgsMC910iuD3Ety4SaxjstrrXyWL+F
 Eg+JsY15O18hyIPwpjThFxFeic2f9vrOF01S8LpCT3TbMloIZhc0NrnpA1JgxMGZt5
 6ODaDAZ9TiKR0bwg2pUiiQXUYAg3ppKEM4DEM5S/WiQZMaTqFKnQqFgnmAJ/BUr1Z7
 hN6uM87N8rvkw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53144
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-4IRTC4mnJ3aN/ZTg9JbB
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

The remote-create-detached issue is fixed by
<https://gitlab.com/guile-git/guile-git/-/merge_requests/35>.

--=-4IRTC4mnJ3aN/ZTg9JbB
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYp4aFxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7n57AP9Ben3vlmHmtC1j08o4fj9STz84
9GCrV4e2ZnXTC43ARwD/Z2G52q3iX8MepVPJa1yQ4Q/MWYCXXT/9cLg6phSuzw0=
=WM6s
-----END PGP SIGNATURE-----

--=-4IRTC4mnJ3aN/ZTg9JbB--





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 3 Apr 2022 11:48:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 03 07:48:04 2022
Received: from localhost ([127.0.0.1]:47783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nayiB-0008GT-RE
	for submit <at> debbugs.gnu.org; Sun, 03 Apr 2022 07:48:04 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:36456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nayi9-0008Fw-LH
 for 53144 <at> debbugs.gnu.org; Sun, 03 Apr 2022 07:48:02 -0400
Received: from [192.168.60.254] ([188.188.185.237])
 by baptiste.telenet-ops.be with bizsmtp
 id EBnz2700H57khHo01Bnza4; Sun, 03 Apr 2022 13:48:00 +0200
Message-ID: <74170d33dfd91689351423a5c3661c7d92601c3f.camel@HIDDEN>
Subject: Re: bug#53144: [PATCH 0/13] Make more git-using packages
 auto-updatable
From: Maxime Devos <maximedevos@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Sun, 03 Apr 2022 13:47:55 +0200
In-Reply-To: <87fspldjtw.fsf_-_@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
 <20220109191015.33058-11-maximedevos@HIDDEN>
 <87fspldjtw.fsf_-_@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-S1BE6Ok+WY86wsqh7SRn"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1648986480; bh=cgseRdaOo03LwevQv2uZ1GqJpMqBvyRv3MZlCYlSkhU=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=TuSNGdj+Q6HXFRU6xRg5/qwKbkI4H2RnFwCLwbm0VfYmzNG7FcNEyq9zY5rdb9EjC
 oMohk/sLruBhDTilzETsoU6dCOa/m8QRSZExzVzETbCXsZwvjlK7UPvKIWSAy70QtS
 65/ymifNBBq1Tldz8X24WQYycbjLBIxhy1qcd7PRi5JPXZKm/R7NqhA53o2FmFE7J1
 aZMaxS/aeTNxHlabynrxyHAmtun2UmGnh09Iz4r6zPLQdZEfhfWJmLF1CNRWX1WTws
 euipEsIXyQlcW4DX2rljtPOT0VaVGjqnEUjJ6FFaxv5SmQh5Hi/DT9JIVBCqj/EU4q
 W/G8oVcKR5r/g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: 53144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-S1BE6Ok+WY86wsqh7SRn
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s schreef op di 18-01-2022 om 18:39 [+0100]:
> > +;; TODO: it would be nice to use 'remote-create-detached' here,
> > +;; but that procedure isn't in any released version of guile-git
> > yet.
> > +(define (call-with-detached-remote url proc)
>=20
> Let=E2=80=99s prepare a new Guile-Git release then (Erik Edrosa has been =
MIA
> lately, but Marius, Mathieu, or myself can tag a release when
> needed).

Looks like 'remote-create-detached' doesn't work yet (remote-create-
detached+remote-connect segfaults:
<https://gitlab.com/guile-git/guile-git/-/issues/24>).  To investigate
the issue, I have written a patch updating libgit2 to 1.4.2:
<https://issues.guix.gnu.org/54611#2>.

Greetings,
Maxime.

--=-S1BE6Ok+WY86wsqh7SRn
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYkmJaxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7oBZAQC2pGixXMJSyab/pMbaxih/Ezvo
UMswNp+DXK8AsyQKAAEAhJ/yclbGmYDx9ATp3JWDZs5XwclkaUsR9sNSciKjCg0=
=rdhR
-----END PGP SIGNATURE-----

--=-S1BE6Ok+WY86wsqh7SRn--





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.
Added tag(s) moreinfo. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 18 Jan 2022 17:45:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 18 12:45:14 2022
Received: from localhost ([127.0.0.1]:51566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9sXh-0008Cj-V6
	for submit <at> debbugs.gnu.org; Tue, 18 Jan 2022 12:45:14 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:57094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1n9sXf-0008CO-KP
 for 53144 <at> debbugs.gnu.org; Tue, 18 Jan 2022 12:45:12 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 1215F838;
 Tue, 18 Jan 2022 18:45:05 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 42TEJdPrDn4z; Tue, 18 Jan 2022 18:45:04 +0100 (CET)
Received: from ribbon (91-160-117-201.subs.proxad.net [91.160.117.201])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 090712D7;
 Tue, 18 Jan 2022 18:45:04 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#53144: [PATCH 0/13] Make more git-using packages
 auto-updatable
References: <20220109191015.33058-1-maximedevos@HIDDEN>
 <20220109191015.33058-12-maximedevos@HIDDEN>
Date: Tue, 18 Jan 2022 18:45:03 +0100
In-Reply-To: <20220109191015.33058-12-maximedevos@HIDDEN> (Maxime Devos's
 message of "Sun, 9 Jan 2022 19:10:14 +0000")
Message-ID: <87bl09djkw.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spamd-Bar: /
Authentication-Results: hera.aquilenet.fr;
	none
X-Rspamd-Server: hera
X-Rspamd-Queue-Id: 1215F838
X-Spamd-Result: default: False [-0.10 / 15.00]; ARC_NA(0.00)[];
 RCVD_VIA_SMTP_AUTH(0.00)[]; RCPT_COUNT_TWO(0.00)[2];
 FROM_HAS_DN(0.00)[]; TO_DN_SOME(0.00)[];
 TO_MATCH_ENVRCPT_ALL(0.00)[]; MIME_GOOD(-0.10)[text/plain];
 FROM_EQ_ENVFROM(0.00)[]; MIME_TRACE(0.00)[0:+];
 RCVD_COUNT_TWO(0.00)[2]; RCVD_TLS_ALL(0.00)[];
 MID_RHS_MATCH_FROM(0.00)[]
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 53144
Cc: 53144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Maxime Devos <maximedevos@HIDDEN> skribis:

> * Makefile.am (MODULES, SCM_TESTS): Register new files.
> * doc/guix.texi (Invoking guix refresh): Document it.
> * guix/import/latest-git.scm: New importer file.
> * guix/upstream.scm (increment-git-version): New procedure.
> * tests/import-latest-git.scm: New test file.

[...]

> +@item latest-git
> +@cindex latest-git
> +@cindex with-latest-git-commit
> +another updater for packages hosted on Git repositories.  The difference
> +with @code{generic-git} is that it always choses the latest commit, even

=E2=80=9Cchooses=E2=80=9D

> +when it does not have a version tag.  As this practice should remain
> +exceptional (@pxref{Version Numbers}), packages have to opt-in this
> +updater, by using @code{git-version} to construct the version number and
> +setting the @code{with-latest-git-commit} package property.

Instead of a new updater, should it be handled by =E2=80=98generic-git=E2=
=80=99?  It
could honor the property just as well, no?

Now in terms of code it does look nice to have it separate.  WDYT?

I=E2=80=99d call the property =E2=80=98release-from-git-reference=E2=80=99 =
or something, to
avoid confusion with the =E2=80=98--with-commit=E2=80=99 transformation opt=
ion.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 18 Jan 2022 17:39:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 18 12:39:49 2022
Received: from localhost ([127.0.0.1]:51562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9sST-00083h-BT
	for submit <at> debbugs.gnu.org; Tue, 18 Jan 2022 12:39:49 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:56960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1n9sSR-00083S-MH
 for 53144 <at> debbugs.gnu.org; Tue, 18 Jan 2022 12:39:48 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 3D409796;
 Tue, 18 Jan 2022 18:39:41 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id VmuVoJxuYV0m; Tue, 18 Jan 2022 18:39:40 +0100 (CET)
Received: from ribbon (91-160-117-201.subs.proxad.net [91.160.117.201])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id D5ECF2D7;
 Tue, 18 Jan 2022 18:39:39 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#53144: [PATCH 0/13] Make more git-using packages
 auto-updatable
References: <20220109191015.33058-1-maximedevos@HIDDEN>
 <20220109191015.33058-11-maximedevos@HIDDEN>
Date: Tue, 18 Jan 2022 18:39:39 +0100
In-Reply-To: <20220109191015.33058-11-maximedevos@HIDDEN> (Maxime Devos's
 message of "Sun, 9 Jan 2022 19:10:13 +0000")
Message-ID: <87fspldjtw.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spamd-Bar: /
Authentication-Results: hera.aquilenet.fr;
	none
X-Rspamd-Server: hera
X-Rspamd-Queue-Id: 3D409796
X-Spamd-Result: default: False [-0.10 / 15.00]; ARC_NA(0.00)[];
 RCVD_VIA_SMTP_AUTH(0.00)[]; RCPT_COUNT_TWO(0.00)[2];
 FROM_HAS_DN(0.00)[]; TO_DN_SOME(0.00)[];
 TO_MATCH_ENVRCPT_ALL(0.00)[]; MIME_GOOD(-0.10)[text/plain];
 FROM_EQ_ENVFROM(0.00)[]; MIME_TRACE(0.00)[0:+];
 RCVD_COUNT_TWO(0.00)[2]; RCVD_TLS_ALL(0.00)[];
 MID_RHS_MATCH_FROM(0.00)[]
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 53144
Cc: 53144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Maxime Devos <maximedevos@HIDDEN> skribis:

> * guix/git.scm (remote-refs): Split off some logic to ...
>   (call-with-detached-remote): ... this new procedure.
>   (lookup-reference): New procedure.
> * tests/git.scm ("lookup-reference: branch and HEAD"): New test.

[...]

> +;; TODO: it would be nice to use 'remote-create-detached' here,
> +;; but that procedure isn't in any released version of guile-git yet.
> +(define (call-with-detached-remote url proc)

Let=E2=80=99s prepare a new Guile-Git release then (Erik Edrosa has been MIA
lately, but Marius, Mathieu, or myself can tag a release when needed).

> +  "Call PROC with a remote for URL.  The remote is closed after PROC ret=
urns."
> +  (call-with-temporary-directory
> +   (lambda (cache-directory)
> +     (let* ((repository (repository-init cache-directory))
> +            ;; Create an in-memory remote so we don't touch disk.
> +            (remote (remote-create-anonymous repository url)))
> +       (remote-connect remote)
> +       (let-values ((result (proc remote)))

s/let-values/let/

> +         ;; Wait until we're finished with the repository before closing=
 it.
> +         (remote-disconnect remote)
> +         (repository-close! repository)
> +         (apply values result))))))

We can use this code until Guile-Git provides =E2=80=98remote-create-detach=
ed=E2=80=99
though.

Otherwise LGTM!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 18 Jan 2022 17:33:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 18 12:33:54 2022
Received: from localhost ([127.0.0.1]:51558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9sMk-0007uJ-Kl
	for submit <at> debbugs.gnu.org; Tue, 18 Jan 2022 12:33:54 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:56786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1n9sMi-0007u6-S1
 for 53144 <at> debbugs.gnu.org; Tue, 18 Jan 2022 12:33:53 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id C6489847;
 Tue, 18 Jan 2022 18:33:46 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id nGHZDx2Y_ygl; Tue, 18 Jan 2022 18:33:46 +0100 (CET)
Received: from ribbon (91-160-117-201.subs.proxad.net [91.160.117.201])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id DEAE52D7;
 Tue, 18 Jan 2022 18:33:45 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#53144: [PATCH 0/13] Make more git-using packages
 auto-updatable
References: <20220109191015.33058-1-maximedevos@HIDDEN>
 <20220109191015.33058-10-maximedevos@HIDDEN>
Date: Tue, 18 Jan 2022 18:33:45 +0100
In-Reply-To: <20220109191015.33058-10-maximedevos@HIDDEN> (Maxime Devos's
 message of "Sun, 9 Jan 2022 19:10:12 +0000")
Message-ID: <87lezddk3q.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spamd-Bar: /
Authentication-Results: hera.aquilenet.fr;
	none
X-Rspamd-Server: hera
X-Rspamd-Queue-Id: C6489847
X-Spamd-Result: default: False [-0.10 / 15.00]; ARC_NA(0.00)[];
 RCVD_VIA_SMTP_AUTH(0.00)[]; RCPT_COUNT_TWO(0.00)[2];
 FROM_HAS_DN(0.00)[]; TO_DN_SOME(0.00)[];
 TO_MATCH_ENVRCPT_ALL(0.00)[]; MIME_GOOD(-0.10)[text/plain];
 FROM_EQ_ENVFROM(0.00)[]; MIME_TRACE(0.00)[0:+];
 RCVD_COUNT_TWO(0.00)[2]; RCVD_TLS_ALL(0.00)[];
 MID_RHS_MATCH_FROM(0.00)[]
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 53144
Cc: 53144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Maxime Devos <maximedevos@HIDDEN> skribis:

> This is currently pointless, because no updater returns such versions.

s/pointless/unused/  :-)

> A future patch will introduce an updater returning such versions.
>
> * guix/upstream.scm
>   (git-version-regexp): New variable.
>   (maybe-git-version, maybe-git-version->revision)
>   (maybe-git-versions->revision-replacements): New procedures.
>   (update-package-source): Use 'package-definition-location' instead of
>   'package-location'.  Also replace the revision.

Please mention tests/upstream.scm too.

Otherwise LGTM.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 18 Jan 2022 17:30:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 18 12:30:40 2022
Received: from localhost ([127.0.0.1]:51554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9sJc-0007pF-69
	for submit <at> debbugs.gnu.org; Tue, 18 Jan 2022 12:30:40 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:56690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1n9sJY-0007oz-M6
 for 53144 <at> debbugs.gnu.org; Tue, 18 Jan 2022 12:30:39 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id CD73E806;
 Tue, 18 Jan 2022 18:30:29 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Pk8hggZOBhHZ; Tue, 18 Jan 2022 18:30:29 +0100 (CET)
Received: from ribbon (91-160-117-201.subs.proxad.net [91.160.117.201])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 824017D5;
 Tue, 18 Jan 2022 18:30:28 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#53144: [PATCH 0/13] Make more git-using packages
 auto-updatable
References: <0498a1400cfa72db28da35e46d64bf6e1267b3d7.camel@HIDDEN>
 <20220109191015.33058-1-maximedevos@HIDDEN>
Date: Tue, 18 Jan 2022 18:30:28 +0100
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN> (Maxime Devos's
 message of "Sun, 9 Jan 2022 19:10:03 +0000")
Message-ID: <87pmopdk97.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spamd-Bar: /
Authentication-Results: hera.aquilenet.fr;
	none
X-Rspamd-Server: hera
X-Rspamd-Queue-Id: CD73E806
X-Spamd-Result: default: False [-0.10 / 15.00]; ARC_NA(0.00)[];
 RCVD_VIA_SMTP_AUTH(0.00)[]; RCPT_COUNT_TWO(0.00)[2];
 FROM_HAS_DN(0.00)[]; TO_DN_SOME(0.00)[];
 TO_MATCH_ENVRCPT_ALL(0.00)[]; MIME_GOOD(-0.10)[text/plain];
 FROM_EQ_ENVFROM(0.00)[]; MIME_TRACE(0.00)[0:+];
 RCVD_COUNT_TWO(0.00)[2]; RCVD_TLS_ALL(0.00)[];
 MID_RHS_MATCH_FROM(0.00)[]
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 53144
Cc: 53144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi!

Maxime Devos <maximedevos@HIDDEN> skribis:

> * doc/contributing.texi (Minetest Packages): New section.
> * doc/guix.texi: Copyright update.

[...]

> +@node Minetest Packages
> +@subsection Minetest Packages
> +@cindex minetest, packaging
> +
> +A Minetest mod @code{foo} is named @code{minetest-foo} -- the author
> +name from ContentDB is not included, unless required to resolve a name
> +collision.

The section looks great to me, but I=E2=80=99d suggest starting it with a c=
ouple
of sentences giving context, like =E2=80=9CThe @uref{=E2=80=A6, Minetest} g=
ame can be
extended with so-called @dfn{mods}, which are =E2=80=A6=E2=80=9D

It might also be worth defining ContentDB or giving a @uref.

Last, parenthetical phrases should be enclosed in em dashes, represented
by three hyphens in Texinfo (two hyphens is for en dashes, used to
represent ranges.)

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 10 Jan 2022 21:29:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 10 16:29:15 2022
Received: from localhost ([127.0.0.1]:53412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n72E7-00025F-3c
	for submit <at> debbugs.gnu.org; Mon, 10 Jan 2022 16:29:15 -0500
Received: from mail-wr1-f66.google.com ([209.85.221.66]:38593)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1n72E2-00024w-0x
 for 53144 <at> debbugs.gnu.org; Mon, 10 Jan 2022 16:29:13 -0500
Received: by mail-wr1-f66.google.com with SMTP id a5so25326099wrh.5
 for <53144 <at> debbugs.gnu.org>; Mon, 10 Jan 2022 13:29:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:date:in-reply-to:references:user-agent
 :mime-version:content-transfer-encoding;
 bh=gpMzyVaQr0E0hAfoVi6XUM6ox1J6A9ugLEhSxA6IF3k=;
 b=VVtN/Gb0/fgk5wfhsXbtbSMjs5T5CFr1NaxSnXzaej+5OweT9RmgPkSiFwVqr+M1qH
 hnA/dhWoHZGY1ZkImk9BUjuH34lAAymYZ9DjTKU6KWOZf9psvtUfQ35iPSjNw+Tf5eME
 L6sxxru5mVwePWcLYDjqtcVLhnJoDEr2yYML1dJpekiB9GiNElBO6fP79Ko99PwD4VCD
 KdIYTsj6D8fmOZC6yJMNEGo+XI8RJuGOsEB66HUmF/Anpj9OD+hY0CVc3PUZ3XzOEeu2
 8iizBCAe/2A1ffCHQ86OFzNzY6XjqAML7cqI6w0+Y98Gh4iPZZOzZgfRHjivNsc3N8VA
 VI6g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=gpMzyVaQr0E0hAfoVi6XUM6ox1J6A9ugLEhSxA6IF3k=;
 b=PJ/T4ND140vs6qYIvBhYxJooyJS+xYHd2s3Ca9TYcnOTkpLk22S21QEwMA/YB+NGkI
 NBQ70sDvPPHchTQ+SrL/XUfDQMoCvvXnSWoqGMGv8fLBIIUEZkpVt9QfSWTtmlxGwDwT
 qohr9Xw1ED832McpSY0G/2QOlZb+dH3wLoUDeJXv36E/6DEDW2U92CB09QeY81v7gYho
 5RBHHebkVigpXP85rL8S/vbEcyL/xdriR/MCedzBBrS/VO1UlRxjaEcaaBx6+Rj9R2Xt
 5GEA93i43xF+H+/wEmIP0usTnpd0rKAcaxUEpkdNrymb3bB8jUSE1CTht9Fu6XwHLxd5
 drYg==
X-Gm-Message-State: AOAM532Rj73pMrVU+6hl+QVBMhXqiPQxmIJAk1nhK7j/rKbC0TnR1c2r
 ysXAurvkv5Px2sAFpXdh0DQ=
X-Google-Smtp-Source: ABdhPJzojMCaxd+S3ebv+Nu7YA5WvmnK7XrVmqy8vQbb6YGZV2iHeOqs7kYuNCUI+iebf2koQwmSnQ==
X-Received: by 2002:adf:e643:: with SMTP id b3mr1217878wrn.288.1641850143905; 
 Mon, 10 Jan 2022 13:29:03 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id n41sm23384wms.32.2022.01.10.13.29.03
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 10 Jan 2022 13:29:03 -0800 (PST)
Message-ID: <e473f08e342f6296ea604c599443d328b93a0be5.camel@HIDDEN>
Subject: Re: [PATCH 01/13] doc: Give some tips on Minetest packaging.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 53144 <at> debbugs.gnu.org
Date: Mon, 10 Jan 2022 22:29:02 +0100
In-Reply-To: <26497fddb211ac9913dd60a5927dd4ab4f9fae0d.camel@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
 <ed2c98d6c2848a05b9deaeef34c767f662f3ce39.camel@HIDDEN>
 <26497fddb211ac9913dd60a5927dd4ab4f9fae0d.camel@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53144
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Am Montag, dem 10.01.2022 um 00:29 +0100 schrieb Maxime Devos:
> Liliana Marie Prikler schreef op zo 09-01-2022 om 22:15 [+0100]:
> > [...]
> > > +
> > > +Sometimes, it might be unclear what the version of a Minetest
> > > mod
> > > is.
> > > +For example, ContentDB and the importer reports 2020-01-01, but
> > > +according to the forums the version is 2.1.  Usually, in these
> > > cases
> > > the
> > > +version on ContentDB is the newest and intended for
> > > distribution. As
> > > +such, you can use the version from ContentDB without any special
> > > +comments.
> > We might want to quote an authoritative resource on that, perhaps
> > in the footnote?
> 
> Yes, quoting sources seems good.
> 
> About newest version: I don't have an authoritive source at hand;
> this is more speaking of my own experience of what seems to be the
> case.  I could compute some statistics w.r.t. how often is the latest
> version on ContentDB >= latest tagged version in the repository
> (where > is the is-(indirect)-child-commit-of relation, as the
> versions strings aren't always directly comparable -- see discussion
> about CalVer vs. SemVer and ContentDB sometimes using CalVer and
> sometimes SemVer).
> 
> This also seems a consequence of ContentDB being the official source
> of mods and used by Minetest's built-in installer.
> 
> About ‘intended for distribution’: I'll look for a forum post or wiki
> page targetting new mod authors that want to distribute their mod.
> 
> What do you think of me gathering this information and (if not
> falsified) presenting it to upstream in some public location,
> asking if it seems about right, and (presuming they answer ‘yes’),
> quoting their response?
In my opinion the fact that Minetest's built-in installer serves as
this ‘M-x package-install’-like gateway would already be authoritative
enough, but it still deserves being spelled out in a footnote that this
is the basis of our assumptions :)

Communicating with upstreams is also important, but a poll or similar
would be significantly harder to quote (perhaps we could insert it in a
comment), and that's not even talking about what we'd have to do to
account for input selection.

> > 
> I happen to disagree though, being mostly neutral about
> version+commit with a slight preference towards including the commit
> itself in the commit field of 'git-reference' (and not a tag pointing
> to the commit), because it is more explicit and it fits slightly
> better in some nebulous plans for decentralising source code
> downloading/storage.  There are ‘tricking peer review’ issues
> with this though, hence neutral.
> 
> (See <https://notabug.org/maximed/rehash> if interested)
> 
> Hence, adding something like ‘This is specific to Minetest packages,
> for other packages it is advised to use git tags, see [...]’ doesn't
> make much sense to me, though I understand why it would make sense
> to you.  Furthermore, the reference [...] currently doesn't exist, so
> I cannot point the reader to an explanation why for other packages we
> want git tags and not commits.
Again note that you're not only competing against version+tag, but also
against git-version+hash, with git-version embedding the hash.  Among
Guix packages, Minetest *is* rather unique in having a separate source
(ContentDB) pointing to the bespoke commits that serve as release
basis.

> If there was consensus (one way or the other) and some section in the
> manual explaining what should usually be used (tags or commits)
> (preferably also explaining the reasons and not simply stating
> things), I could link to it though.  Or if there's no consensus, and
> the section said something like
> 
> ‘There are two options: tags or commits.  Currently there's no
> consensus about what's best.  Here are some pros and cons of each:
> ...
> Due to a lack of consensus, the patch submitter can make the choice.
> When in doubt, throw a dice.’ (*) (to be reworded!),
> 
> then I could work with that as well.
> 
> Perhaps I could write out (*) a bit more, as a separate documentation
> patch?  I'd have to ask on guix-devel@ if I'm
> understanding/misunderstanding the lack of consensus, and see if
> someone has already summarised things, maybe see if Nix people
> have thought about this, etc.
One question whose answer is not quite clear to me is whether you want
to generally follow the commit vs. tag guidelines of the rest of Guix
(and therefore seek to formalize them in a similar way, though perhaps
with different reasoning from what I do), or if you want ContentDB
packages to follow their own style largely independent from the rest,
at least for the time being.

> > Perhaps setting a package-property such as (upstream . contentdb),
> > which would also make it clear why we don't e.g. want the latest-
> > git updater to apply?
> 
> More generally, being able to explicitely choose the updater
> (minetest/github/elpa/...) seems useful!
> 
> However, in the context of this documentation section and the changes
> to the ContentDB importer, I don't think latest-git is relevant here
> (except for the infrequent edge cases like minetest-throwing-arrows
> and emacs-next): we almost never want the latest-git updater to apply
> (because formal releases etc.).  And when we do want it to apply, we
> set
> 
>   (with-latest-git-commit . #true/"refs/heads/master"/...)
> 
> otherwise latest-git doesn't run.  Well, we don't do that yet except
> for minetest-throwing-arrows, but that's the idea.
I think the generic git updater would still be relevant here, hence why
I'm asking.  Yes, latest-git is restricted in that it needs opting in,
but the property combination

  ((upstream . latest-git) (latest-git-head "master"))

would also work, for example.

> To summarise, I don't see the value that adding (upstream .
> contentdb) would bring, it seems to me that it would only make the
> package definitions longer.  Would this package property be pure
> documentation, or would it be interpreted by the updater code in some
> way?
Ideally it'd serve as a better way of making the minetest-updater say
"Now this looks like a job for me" than relying on the minetest-
package? procedure.  Alternatively, we could make it so that the
updater has to have a contentdb URL as homepage.  You are correct in
that there's no immediate benefit, but given that we would be
shortening a four-line comment to a single-line property while
essentially keeping all the information is still a win in my opinion.

> > Otherwise LGTM.
> 
> I'm not complaining, but from
> <https://lists.gnu.org/archive/html/guix-devel/2021-12/msg00259.html>
> and resulting discussion I was kind of expecting that you'd
> want me to do
> 
> (let ((commit ...)
>       (revision ...))
>   (package ...
>     (version (git-version "contentdb-version" revision commit))
> ...)),
> 
> though you did write ‘I'd want a comment like the ones I find in
> minetest.scm to [...]’ I suppose, and this new documentation is
> explaining the reasons for using commits (raw commits in your
> terminology) in some detail and for all Minetest packages at once.
It does, but in a different location that requires a little bit of work
to do the mapping.  I think a comment line 
  ;; version from contentdb
or similar would still be appropriate even with said documentation
changes.  Alternatively, as pointed out above, we could have home-page
point to ContentDB, which IIRC should also present that information to
the user.

I think "Can we use ContentDB as a home-page for minetest-blub?" also
serves as a good leading question on what source is the most
authoritative one.  If the ContentDB page looks ill-maintained, but the
forum is active, the forum should probably be preferred (while
"generally, use ContentDB" still applies otherwise).

The distinction between "raw commits" and just commits is also an
important one that I want to keep.  ContentDB provides both release
titles and commits in a usable format, so that's why raw commits are in
this context permissible in my opinion.  There's no ContentDB for
guile-aiscm or node-something-that-loses-its-git-tag.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 23:29:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 18:29:48 2022
Received: from localhost ([127.0.0.1]:51545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6hdE-0007mF-Fn
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 18:29:48 -0500
Received: from michel.telenet-ops.be ([195.130.137.88]:45488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6hdB-0007m3-A8
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 18:29:47 -0500
Received: from [172.20.10.5] ([188.188.14.77])
 by michel.telenet-ops.be with bizsmtp
 id gnVi2600G1flEHY06nVipR; Mon, 10 Jan 2022 00:29:43 +0100
Message-ID: <26497fddb211ac9913dd60a5927dd4ab4f9fae0d.camel@HIDDEN>
Subject: Re: [PATCH 01/13] doc: Give some tips on Minetest packaging.
From: Maxime Devos <maximedevos@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>, 53144 <at> debbugs.gnu.org
Date: Mon, 10 Jan 2022 00:29:37 +0100
In-Reply-To: <ed2c98d6c2848a05b9deaeef34c767f662f3ce39.camel@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
 <ed2c98d6c2848a05b9deaeef34c767f662f3ce39.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-NcbWOD66Ig+udZ2IPxBH"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641770983; bh=2QJhBUD6vvISKkBQ31iG4PSfRpO3MqrEJ+WZXRshs5w=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=c09za5EbwDJekUl8NsgHk79BsXV7QUSfxknpiDmv7/ttUsN4fWUgad6a/UtsrBUsX
 XCoBNXFyycMuoMRSD06KWreNnwKVCMR3W/r6RlXZ1GfWncwPOGopRDkMSK0o5YIM9G
 gnpO9xVr8abjUJ/ZGs0zzlpjqGKhkKfQcwntaNjKcpkbcSocGDRXg9p5A5qSd3TG0z
 2h296WgEFn61UjJsbXjVhZisR40eKl9QnTWtQkR7mfoj501aHktOkxfJnmDMosrPDz
 RmwnzyCdkCQBm5cYtJjDglUa6wFR1Y0lVbYpcC08WGEzTQuwlLl263nE4uSGgQsdLQ
 RY0V2Fh8ipQcA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-NcbWOD66Ig+udZ2IPxBH
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Liliana Marie Prikler schreef op zo 09-01-2022 om 22:15 [+0100]:
> [...]
> > +
> > +Sometimes, it might be unclear what the version of a Minetest mod
> > is.
> > +For example, ContentDB and the importer reports 2020-01-01, but
> > +according to the forums the version is 2.1.=C2=A0 Usually, in these ca=
ses
> > the
> > +version on ContentDB is the newest and intended for distribution. As
> > +such, you can use the version from ContentDB without any special
> > +comments.
> We might want to quote an authoritative resource on that, perhaps in
> the footnote?

Yes, quoting sources seems good.

About newest version: I don't have an authoritive source at hand; this
is more speaking of my own experience of what seems to be the case.  I
could compute some statistics w.r.t. how often is the latest version on
ContentDB >=3D latest tagged version in the repository (where > is the
is-(indirect)-child-commit-of relation, as the versions strings aren't
always directly comparable -- see discussion about CalVer vs. SemVer
and ContentDB sometimes using CalVer and sometimes SemVer).

This also seems a consequence of ContentDB being the official source
of mods and used by Minetest's built-in installer.

About =E2=80=98intended for distribution=E2=80=99: I'll look for a forum po=
st or wiki
page targetting new mod authors that want to distribute their mod.

What do you think of me gathering this information and (if not
falsified) presenting it to upstream in some public location,
asking if it seems about right, and (presuming they answer =E2=80=98yes=E2=
=80=99),
quoting their response?

> > +@c Currently it's always checked out from git, but in principle
> > +@c tarballs could be used.
> > +
> > +Even though the source code is often checked out from version
> > control,
> > +it is not necessary to use @code{git-version} or @code{hg-version}:
> > the
> > +releases on ContentDB are formal releases; in fact they are
> > upstream's
> > +official source of Minetest packages and they are not mutated in-
> > place.
> > +
> > +@c Example (zip): mods by TenPlus1
> > +@c Example (git): basic_materials, ethereal
> > +While ContentDB provides the source code of packages in zip form, it
> > is
> > +recommended not to use these, because users can and do delete old
> > +versions.=C2=A0 Likewise, sometimes the maintainer initially did tag
> > versions
> > +but later stops doing so, breaking @command{guix refresh -u}.=C2=A0 As
> > such,
> > +it is recommended not to use git tags in @code{origin} records and
> > +instead refer to the commit directly.
> This combination of version+commit is something I'd generally
> discourage (my reasoning for doing so already explained elsewhere), so
> to me it might make sense to still explicitly point attention to it.=20

That discussion I had in mind while writing this documentation.

I happen to disagree though, being mostly neutral about
version+commit with a slight preference towards including the commit
itself in the commit field of 'git-reference' (and not a tag pointing
to the commit), because it is more explicit and it fits slightly
better in some nebulous plans for decentralising source code
downloading/storage.  There are =E2=80=98tricking peer review=E2=80=99 issu=
es
with this though, hence neutral.

(See <https://notabug.org/maximed/rehash> if interested)

Hence, adding something like =E2=80=98This is specific to Minetest packages=
,
for other packages it is advised to use git tags, see [...]=E2=80=99 doesn'=
t
make much sense to me, though I understand why it would make sense
to you.  Furthermore, the reference [...] currently doesn't exist, so I
cannot point the reader to an explanation why for other packages we
want git tags and not commits.

If there was consensus (one way or the other) and some section in the
manual explaining what should usually be used (tags or commits)
(preferably also explaining the reasons and not simply stating things),
I could link to it though.  Or if there's no consensus, and the section
said something like

=E2=80=98There are two options: tags or commits.  Currently there's no
consensus about what's best.  Here are some pros and cons of each: ...
Due to a lack of consensus, the patch submitter can make the choice.
When in doubt, throw a dice.=E2=80=99 (*) (to be reworded!),

then I could work with that as well.

Perhaps I could write out (*) a bit more, as a separate documentation
patch?  I'd have to ask on guix-devel@ if I'm
understanding/misunderstanding the lack of consensus, and see if
someone has already summarised things, maybe see if Nix people
have thought about this, etc.

> Perhaps setting a package-property such as (upstream . contentdb),
> which would also make it clear why we don't e.g. want the latest-git
> updater to apply?

More generally, being able to explicitely choose the updater
(minetest/github/elpa/...) seems useful!

However, in the context of this documentation section and the changes
to the ContentDB importer, I don't think latest-git is relevant here
(except for the infrequent edge cases like minetest-throwing-arrows and
emacs-next): we almost never want the latest-git updater to apply
(because formal releases etc.).  And when we do want it to apply, we
set

  (with-latest-git-commit . #true/"refs/heads/master"/...)

otherwise latest-git doesn't run.  Well, we don't do that yet except
for minetest-throwing-arrows, but that's the idea.

To summarise, I don't see the value that adding (upstream . contentdb)
would bring, it seems to me that it would only make the package
definitions longer.  Would this package property be pure documentation,
or would it be interpreted by the updater code in some way?


> Otherwise LGTM.

I'm not complaining, but from
<https://lists.gnu.org/archive/html/guix-devel/2021-12/msg00259.html>
and resulting discussion I was kind of expecting that you'd
want me to do

(let ((commit ...)
      (revision ...))
  (package ...
    (version (git-version "contentdb-version" revision commit)) ...)),

though you did write =E2=80=98I'd want a comment like the ones I find in
minetest.scm to [...]=E2=80=99 I suppose, and this new documentation is
explaining the reasons for using commits (raw commits in your
terminology) in some detail and for all Minetest packages at once.

Unrelated: git mirrors seem a cool idea!

Greetings,
Maxime

--=-NcbWOD66Ig+udZ2IPxBH
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYdtv4RccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7j0EAP4l+FUStGC04kF1e8H6O314BOiR
68HMalqlPX0EyUVVagD+N7CVX0PkQnVvj/F097UPVNc35+pv1aZnS+sLp2ZbjAY=
=FxaW
-----END PGP SIGNATURE-----

--=-NcbWOD66Ig+udZ2IPxBH--





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 21:16:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 16:16:05 2022
Received: from localhost ([127.0.0.1]:51456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6fXo-0003PY-Ts
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 16:16:05 -0500
Received: from mail-wr1-f65.google.com ([209.85.221.65]:41564)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1n6fXm-0003Hd-Oo
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 16:16:03 -0500
Received: by mail-wr1-f65.google.com with SMTP id v6so23064125wra.8
 for <53144 <at> debbugs.gnu.org>; Sun, 09 Jan 2022 13:16:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:date:in-reply-to:references:user-agent
 :mime-version:content-transfer-encoding;
 bh=2YHTPqZq6nNsyuh2AVtocD0anax4z0XgUL58CaQpwRg=;
 b=Gmea0PlC99FPLeuDn+Y9bk9Bbm9Y2l5DRNxDCu/TDKUaG+hNHRiWyYAXheenJsClLO
 5iqNJpwUgS1VN1iva0NBfVEXWEv5APIIlxQsr285IasvDgg+yU+QD4sxMaR1CmdHO6nB
 BAl2hmvIzbnB08+Mrs3H31iXoowQvRajrY12sT1IS95eBjg0sEdo9bvPG3qntOK2I/hy
 W+iYJdIqmH+ALUCzlwR3hwMRo1xWLRy3LkFZf47M5rNpCNzPvigvCre/hG/u3shyMxhA
 uP3Frus9fe8lgjQWpJfULfejkQgmA1Mrae8wNf4yKyKtiUkDxjszRcGhyWMVFV1fhGqe
 41Fw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=2YHTPqZq6nNsyuh2AVtocD0anax4z0XgUL58CaQpwRg=;
 b=DuMZjEx3GVKpW3FjgRalKljGFFhxgHak9n6knHLor1jWhpvvPSCo1dks3mqFLIakZK
 6U2bkxeriUC+R4q2Q8wKqIf+lNUFse1zlIoC43ECUBOpNSfeo1sAD9xeal7ySd4EmVmP
 t3UsGM8F6uW/yoXWuVHx0qbBUZ5QJW5HR8jsMJbqafcP0T0k8JOG89ZliuCDKHm0tbwo
 GKC2erksawllv+I6Ec//M4/j3LitIypvfHhDFmOTHbh+wewGQwyy8sEVweZVC0tLhMZB
 1kjx1uevXrv9gD2eiE6pv/aGLcHqeEFsfOKgfOvI19DKzeWYL752zMhfj7QNy5g8XHPR
 2B3w==
X-Gm-Message-State: AOAM532p8k/oYw5EK8R2IDfj2SvwORZwGJ8Vdh+KMWs22fq3SoA9XO/Z
 m73ShpjYAVXEgQyAJfpjzRU=
X-Google-Smtp-Source: ABdhPJwgp/khpk2ofUsNRRSTdvUZ+Q5hq6Zhe51q1tNLRwJ3O3dlykYh7PXC8bTZE+2kzyRzPzWdnQ==
X-Received: by 2002:a05:6000:1acb:: with SMTP id
 i11mr60583334wry.244.1641762956651; 
 Sun, 09 Jan 2022 13:15:56 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id h2sm4973808wrr.96.2022.01.09.13.15.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 09 Jan 2022 13:15:56 -0800 (PST)
Message-ID: <ed2c98d6c2848a05b9deaeef34c767f662f3ce39.camel@HIDDEN>
Subject: Re: [PATCH 01/13] doc: Give some tips on Minetest packaging.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 53144 <at> debbugs.gnu.org
Date: Sun, 09 Jan 2022 22:15:54 +0100
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53144
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Sonntag, dem 09.01.2022 um 19:10 +0000 schrieb Maxime Devos:
> * doc/contributing.texi (Minetest Packages): New section.
> * doc/guix.texi: Copyright update.
> ---
>  doc/contributing.texi | 42
> ++++++++++++++++++++++++++++++++++++++++++
>  doc/guix.texi         |  2 +-
>  2 files changed, 43 insertions(+), 1 deletion(-)
> 
> diff --git a/doc/contributing.texi b/doc/contributing.texi
> index 72f5ce1e0e..5b91fc7867 100644
> --- a/doc/contributing.texi
> +++ b/doc/contributing.texi
> @@ -394,6 +394,7 @@ needed is to review and apply the patch.
>  * Synopses and Descriptions::   Helping users find the right
> package.
>  * Snippets versus Phases::      Whether to use a snippet, or a build
> phase.
>  * Emacs Packages::              Your Elisp fix.
> +* Minetest Packages::           Building blocks.
>  * Python Modules::              A touch of British comedy.
>  * Perl Modules::                Little pearls.
>  * Java Packages::               Coffee break.
> @@ -703,6 +704,47 @@ When encountering problems, it is wise to check
> for the presence of the
>  file, and whether any dependencies and their versions listed therein
> are
>  satisfied.
>  
> +@node Minetest Packages
> +@subsection Minetest Packages
> +@cindex minetest, packaging
> +
> +A Minetest mod @code{foo} is named @code{minetest-foo} -- the author
> +name from ContentDB is not included, unless required to resolve a
> name
> +collision.
> +
> +Sometimes, it might be unclear what the version of a Minetest mod
> is.
> +For example, ContentDB and the importer reports 2020-01-01, but
> +according to the forums the version is 2.1.  Usually, in these cases
> the
> +version on ContentDB is the newest and intended for distribution. As
> +such, you can use the version from ContentDB without any special
> +comments.
We might want to quote an authoritative resource on that, perhaps in
the footnote?

> +@c Currently it's always checked out from git, but in principle
> +@c tarballs could be used.
> +
> +Even though the source code is often checked out from version
> control,
> +it is not necessary to use @code{git-version} or @code{hg-version}:
> the
> +releases on ContentDB are formal releases; in fact they are
> upstream's
> +official source of Minetest packages and they are not mutated in-
> place.
> +
> +@c Example (zip): mods by TenPlus1
> +@c Example (git): basic_materials, ethereal
> +While ContentDB provides the source code of packages in zip form, it
> is
> +recommended not to use these, because users can and do delete old
> +versions.  Likewise, sometimes the maintainer initially did tag
> versions
> +but later stops doing so, breaking @command{guix refresh -u}.  As
> such,
> +it is recommended not to use git tags in @code{origin} records and
> +instead refer to the commit directly.
This combination of version+commit is something I'd generally
discourage (my reasoning for doing so already explained elsewhere), so
to me it might make sense to still explicitly point attention to it. 
Perhaps setting a package-property such as (upstream . contentdb),
which would also make it clear why we don't e.g. want the latest-git
updater to apply?


Otherwise LGTM.




Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:49:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:49:31 2022
Received: from localhost ([127.0.0.1]:51371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6eC3-0000Ha-N5
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:49:31 -0500
Received: from baptiste.telenet-ops.be ([195.130.132.51]:40232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6eC0-0000HQ-EJ
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:49:30 -0500
Received: from [172.20.10.5] ([188.188.14.77])
 by baptiste.telenet-ops.be with bizsmtp
 id gjpS2600G1flEHY01jpSeM; Sun, 09 Jan 2022 20:49:27 +0100
Message-ID: <b3f4d23d4cc1117ed0ea456044f90ba26d12eca3.camel@HIDDEN>
Subject: Re: bug#53144: Acknowledgement ([PATCH 0/13] Make more git-using
 packages auto-updatable)
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Date: Sun, 09 Jan 2022 20:49:21 +0100
In-Reply-To: <handler.53144.B.164175531629466.ack <at> debbugs.gnu.org>
References: <0498a1400cfa72db28da35e46d64bf6e1267b3d7.camel@HIDDEN>
 <handler.53144.B.164175531629466.ack <at> debbugs.gnu.org>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-enQJAq+vemC+pI1kuxh8"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641757767; bh=StT6nOq7oc88pfiEiSCbXcvyIDsdC1l5W0YXC4qOlrY=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=jWv7a+TjUeEt7CuEzpFEUwU/FW14Id9e8uQp0wSyqiPG9aWVTW16sPcJgIAyTTXvj
 3zXhLXGaPMoDiHiqQ900QnwerirI3JxlDkFEyjEu8BnOuGV/F8qI/9xwdgFzMBjPFc
 UjMHCfsNfAmh18QTP37PCsLNvHtbr6D5gp3q8WMa1FcgeP8MBAcJrZSonLRAuqajgt
 tuIFqK4cY8XFdGQeihi8OrMVKIovw6STTkLBbHzA+kxL7J7oDXBritYvyH5E42Ntek
 d0/k47HzNo9OgWndI4NktavfOKICkrkK8PoJL219nX5RVaMQtpTW7XZACZ8wiDGcAO
 NXGtbSobM1cBQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-enQJAq+vemC+pI1kuxh8
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

The failing tests are:

 * tests/channels.scm: "channel-news, one entry"
 * tests/pack.scm, due to networking issues

--=-enQJAq+vemC+pI1kuxh8
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYds8QRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7maLAQCz/E4nR0nNIOv9U7BGaf+Iti4R
bLP57lIAKbEH6WLLOgEAgqLhquotmtxMF16V5ES7/98D6/kpeqCBMDb4BjAqjwQ=
=UoL7
-----END PGP SIGNATURE-----

--=-enQJAq+vemC+pI1kuxh8--





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:35 2022
Received: from localhost ([127.0.0.1]:51332 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daM-0007lA-A5
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:35 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6daC-0007jN-64
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:26 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jANsV; Sun, 09 Jan 2022 20:10:23 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 12/13] import: Add 'latest-git' updater.
Date: Sun,  9 Jan 2022 19:10:14 +0000
Message-Id: <20220109191015.33058-12-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755423; bh=pZ0AB2ub68zyCIWnA5WXbJg3smL8MsNf21WYDFM8NuU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Beq1uGKee4ypDl6Asqleq3zkFeB5BxWbKOpVf1WRDfslVtfxx0SWMczvC0eDc8RSi
 AMe/xdvglh9xmPq8PBpHE5Ijp1z9isZIDcHmWlvXlXdLYvJ04djKfGBl2lNl4+bStC
 cMdKryxGh72/1G24QrKg+tI+U6y3eRCmyNSIMt9/bsh5T0c9x9DRZY1sQMW/KTNHFh
 BATYijxvlsSc9PWf26NeJ9PvpIbPQ+bYAja7gZW24fmDGN+lEGX0AGCOUNhL5ZbeSi
 aLCgq6pd3G1fnfcdlf24wpTwqoG8zQZdI9PihNEr9tCuW+kTOX+AEOxJ+CLIi+TfhC
 6Qwk7M0TF9Jog==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* Makefile.am (MODULES, SCM_TESTS): Register new files.
* doc/guix.texi (Invoking guix refresh): Document it.
* guix/import/latest-git.scm: New importer file.
* guix/upstream.scm (increment-git-version): New procedure.
* tests/import-latest-git.scm: New test file.
---
 Makefile.am                 |   2 +
 doc/guix.texi               |  17 +++
 guix/import/latest-git.scm  | 104 ++++++++++++++++++
 guix/upstream.scm           |   9 ++
 tests/import-latest-git.scm | 204 ++++++++++++++++++++++++++++++++++++
 5 files changed, 336 insertions(+)
 create mode 100644 guix/import/latest-git.scm
 create mode 100644 tests/import-latest-git.scm

diff --git a/Makefile.am b/Makefile.am
index d6aabac261..e380c7c83d 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -267,6 +267,7 @@ MODULES =					\
   guix/import/json.scm				\
   guix/import/kde.scm				\
   guix/import/launchpad.scm   			\
+  guix/import/latest-git.scm			\
   guix/import/minetest.scm   			\
   guix/import/opam.scm				\
   guix/import/print.scm				\
@@ -482,6 +483,7 @@ SCM_TESTS =					\
   tests/hackage.scm				\
   tests/home-import.scm				\
   tests/import-git.scm				\
+  tests/import-latest-git.scm			\
   tests/import-utils.scm			\
   tests/inferior.scm				\
   tests/lint.scm				\
diff --git a/doc/guix.texi b/doc/guix.texi
index 5c1b9adb87..58ccc75ccf 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -12619,6 +12619,23 @@ property to @code{#t}.
       (release-tag-version-delimiter . ":"))))
 @end lisp
 
+@item latest-git
+@cindex latest-git
+@cindex with-latest-git-commit
+another updater for packages hosted on Git repositories.  The difference
+with @code{generic-git} is that it always choses the latest commit, even
+when it does not have a version tag.  As this practice should remain
+exceptional (@pxref{Version Numbers}), packages have to opt-in this
+updater, by using @code{git-version} to construct the version number and
+setting the @code{with-latest-git-commit} package property.
+
+Usually, it can be simply be set to @code{#true} to use the latest Git
+commit on the default branch---i.e., HEAD in Git parlance.  If this is
+not desired, for example if upstream has a branch that is considered
+‘stable’, it can be set to the name of a reference to take commits from.
+For example, to take commits from a branch named @code{stable}, the
+property @code{with-latest-git-commit} needs to be set to
+@code{refs/heads/stable}.
 
 @end table
 
diff --git a/guix/import/latest-git.scm b/guix/import/latest-git.scm
new file mode 100644
index 0000000000..208f112153
--- /dev/null
+++ b/guix/import/latest-git.scm
@@ -0,0 +1,104 @@
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2022 Maxime Devos <maximedevos@HIDDEN>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (guix import latest-git)
+  #:use-module (guix packages)
+  #:use-module (guix upstream)
+  #:use-module (guix ui)
+  #:use-module (guix git)
+  #:use-module (guix git-download)
+  #:use-module (ice-9 match)
+  #:use-module (srfi srfi-26)
+  #:export (%latest-git-updater))
+
+(define (check-valid-with-latest-git-commit? package value)
+  "Verify that VALUE is a valid value for the 'with-latest-git-commit'
+package property of PACKAGE.  If so, return #true.  Otherwise, emit a
+warning and return #false.  It is assumed VALUE is not false."
+  (or (string? value)
+      (eq? #true value)
+      (begin
+        (warning (or (package-field-location package 'properties)
+                     (package-location package))
+                 (G_ "Package ~a has an invalid 'with-latest-git-commit' \
+property.~%")
+                 (package-name package))
+        #false)))
+
+(define (with-latest-git-commit? package)
+  "Return true if PACKAGE is hosted on a Git repository and it is requested
+that the latest Git commit is used even when not formally released."
+  (match (package-source package)
+    ((? origin? origin)
+     (and (decompose-git-version (package-version package))
+          (eq? (origin-method origin) git-fetch)
+          (git-reference? (origin-uri origin))
+          (and=> (assq-ref (package-properties package)
+                           'with-latest-git-commit)
+                 (cut check-valid-with-latest-git-commit? package <>))))
+    (_ #f)))
+
+(define (latest-commit-reference-name package)
+  "Return the name of the reference that is expected to hold the latest Git
+commit to use as source code."
+  (match (assq-ref (package-properties package) 'with-latest-git-commit)
+    ('#true "HEAD")
+    ((? string? reference) reference)))
+
+(define (latest-git-upstream package)
+  "Return an <upstream-source> for the latest git commit of PACKAGE.
+If the reference pointing to the latest git commit has been deleted,
+return #false instead."
+  (let* ((name (package-name package))
+         (old-version (package-version package))
+         (old-reference (origin-uri (package-source package)))
+         (reference-name (latest-commit-reference-name package))
+         (commit (lookup-reference (git-reference-url old-reference)
+                                   reference-name)))
+    (if commit
+        (upstream-source
+         (package name)
+         (version
+          ;; See 'oid->commit' in (guix git) for why not string=?.
+          ;; Don't increment the revision if the commit remains the same.
+          (if (string-prefix? commit (git-reference-commit old-reference))
+              old-version
+              (increment-git-version old-version commit)))
+         (urls (git-reference
+                (inherit old-reference)
+                (commit commit))))
+        (begin
+          (warning (package-location package)
+                   (G_ "Cannot update ~a because the reference ~a of ~a has \
+disappeared.~%")
+                   (package-name package)
+                   reference-name
+                   (let ((maybe-hyperlink
+                          (if (supports-hyperlinks? (guix-warning-port))
+                              hyperlink
+                              (lambda (x y) x)))
+                         (url (git-reference-url old-reference)))
+                     (maybe-hyperlink url url)))
+          #false))))
+
+(define %latest-git-updater
+  (upstream-updater
+   (name 'latest-git)
+   (description "Updater for packages using latest Git commit")
+   (pred with-latest-git-commit?)
+   (latest latest-git-upstream)))
diff --git a/guix/upstream.scm b/guix/upstream.scm
index 6b65147356..a9211fe45b 100644
--- a/guix/upstream.scm
+++ b/guix/upstream.scm
@@ -64,6 +64,7 @@ (define-module (guix upstream)
             decompose-git-version
             maybe-git-version->revision
             maybe-git-versions->revision-replacements ; for tests
+            increment-git-version
 
             upstream-updater
             upstream-updater?
@@ -281,6 +282,14 @@ (define (maybe-git-versions->revision-replacements old new)
            . ,(object->string `(revision ,new-revision))))
         '())))
 
+(define (increment-git-version old-git-version commit)
+  "Increment the revision in OLD-GIT-VERSION by one, replacing the commit
+by COMMIT.  It is assumed OLD-GIT-VERSION is a result of 'git-version'."
+  (let-values (((old-base-version revision old-commit)
+                (decompose-git-version old-git-version)))
+    (git-version old-base-version
+                 (number->string (+ 1 (string->number revision))) commit)))
+
 
 
 ;;;
diff --git a/tests/import-latest-git.scm b/tests/import-latest-git.scm
new file mode 100644
index 0000000000..d0dc149ff8
--- /dev/null
+++ b/tests/import-latest-git.scm
@@ -0,0 +1,204 @@
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2022 Maxime Devos <maximedevos@HIDDEN>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (test-import-latest-git)
+  #:use-module (git)
+  #:use-module (guix git)
+  #:use-module (guix tests)
+  #:use-module (guix packages)
+  #:use-module (guix import latest-git)
+  #:use-module (guix upstream)
+  #:use-module (guix git-download)
+  #:use-module (guix hg-download)
+  #:use-module (guix tests git)
+  #:use-module (guix build utils)
+  #:use-module (srfi srfi-64))
+
+(test-begin "git")
+
+(define latest-git-upstream
+  (upstream-updater-latest %latest-git-updater))
+
+(define with-latest-git-commit?
+  (upstream-updater-predicate %latest-git-updater))
+
+(define* (make-package directory base-version revision commit
+                       #:optional (properties
+                                   '((with-latest-git-commit . #true))))
+  (dummy-package "test-package"
+                 (version (git-version base-version revision commit))
+                 (source
+                  (origin
+                    (method git-fetch)
+                    (uri (git-reference
+                          (url (string-append "file://" directory))
+                          (commit commit)))
+                    (sha256 #f)))
+                 (properties properties)))
+
+(define (find-commit-as-string repository query)
+  (oid->string (commit-id (find-commit repository query))))
+
+(unless (which (git-command)) (test-skip 1))
+(test-equal "latest-git: an update"
+  '(#true #true #true)
+  (with-temporary-git-repository directory
+      '((add "a.txt" "A")
+        (commit "First commit")
+        (add "b.txt" "B")
+        (commit "Second commit"))
+    (with-repository directory repository
+      (let* ((old-commit
+              (find-commit-as-string repository "First commit"))
+             (new-commit
+              (find-commit-as-string repository "Second commit"))
+             (package (make-package directory "1.0" "0" old-commit))
+             (update (latest-git-upstream package)))
+        (list (with-latest-git-commit? package)
+              (string=? (upstream-source-version update)
+                        (git-version "1.0" "1" new-commit))
+              ;; See 'oid->commit in (guix git) for why not string=?.
+              (string-prefix?
+               (git-reference-commit (upstream-source-urls update))
+               new-commit))))))
+
+(unless (which (git-command)) (test-skip 1))
+(test-equal "latest-git: no new commit, no new revision"
+  '(#true #true #true)
+  (with-temporary-git-repository directory
+      '((add "a.txt" "A")
+        (commit "First commit"))
+    (with-repository directory repository
+      (let* ((commit
+              (find-commit-as-string repository "First commit"))
+             (package (make-package directory "1.0" "0" commit))
+             (update (latest-git-upstream package)))
+        ;; 'update' being #false would work as well.
+        (list (with-latest-git-commit? package)
+              (string=? (upstream-source-version update)
+                        (package-version package))
+              (string-prefix?
+               (git-reference-commit (upstream-source-urls update))
+               commit))))))
+
+(unless (which (git-command)) (test-skip 1))
+(test-equal "latest-git: non-HEAD commits ignored"
+  '(#true #true #true)
+  (with-temporary-git-repository directory
+      '((add "a.txt" "A")
+        (commit "First commit")
+        (tag "let-me-be-head")
+        (branch "dev")
+        (checkout "dev")
+        (add "b.txt" "B")
+        (commit "Not ready for distribution!")
+        (checkout "let-me-be-head"))
+    (with-repository directory repository
+      (let* ((commit
+              (find-commit-as-string repository "First commit"))
+             (package (make-package directory "1.0" "0" commit))
+             (update (latest-git-upstream package)))
+        (list (with-latest-git-commit? package)
+              (string=? (upstream-source-version update)
+                        (package-version package))
+              (string-prefix?
+               (git-reference-commit (upstream-source-urls update))
+               commit))))))
+
+(unless (which (git-command)) (test-skip 1))
+(test-equal "latest-git: non-HEAD branches can be chosen"
+  '(#true #true #true)
+  (with-temporary-git-repository directory
+      '((checkout "stable-for-distros" orphan)
+        (add "a.txt" "A")
+        (commit "First commit")
+        (add "b.txt" "B")
+        (commit "Here's a bugfix.")
+        (branch "unstable")
+        (checkout "unstable")
+        (add "c.txt" "C")
+        ;; This commit may not be chosen.
+        (commit "New feature, needs more work before distributing."))
+    (with-repository directory repository
+      (let* ((old-commit
+              (find-commit-as-string repository "First commit"))
+             (new-commit
+              (find-commit-as-string repository "Here's a bugfix"))
+             (properties
+              '((with-latest-git-commit . "refs/heads/stable-for-distros")))
+             (package (make-package directory "1.0" "0" old-commit properties))
+             (update (latest-git-upstream package)))
+        (list (with-latest-git-commit? package)
+              (string=? (upstream-source-version update)
+                        (git-version "1.0" "1" new-commit))
+              (string-prefix?
+               (git-reference-commit (upstream-source-urls update))
+               new-commit))))))
+
+(unless (which (git-command)) (test-skip 1))
+(test-equal "latest-git: deleted references handled gracefully"
+  #false
+  (with-temporary-git-repository directory
+      '((add "a.txt" "A")
+        (commit "First commit"))
+    (with-repository directory repository
+      (let* ((properties
+              '((with-latest-git-commit . "refs/heads/I-do-not-exist")))
+             (package (make-package directory "1.0" "0" "cabba9e" properties)))
+        (latest-git-upstream package)))))
+
+(test-equal "with-latest-git-commit?"
+  '(#true #false #true #true #false #false)
+  (map (lambda (properties)
+         (with-latest-git-commit?
+          (make-package "/dev/null" "1.0" "0" "cabba9e" properties)))
+       (list '((with-latest-git-commit . #true)) ; defaults to HEAD
+             '() ; packages have to opt-in, so #false
+             '((with-latest-git-commit . "HEAD")) ; explicit HEAD is ok
+             '((with-latest-git-commit . "refs/heads/main")) ; another branch
+             '((with-latest-git-commit . #xf00ba3)) ; bogus
+             '((irrelevant . #true)))))
+
+(test-equal "with-latest-git-commit?: not for other VCS"
+  #false
+  (with-latest-git-commit?
+   (package
+     (inherit (make-package "/dev/null" "1.0.0" "0" "cabba9e"))
+     (source
+      (origin
+        (method hg-fetch)
+        (uri (hg-reference
+              (url "https://foo")
+              (changeset "foo")))
+        (sha256 #false))))))
+
+(test-equal "with-latest-git-commit?: only if there's source code"
+  #false
+  (with-latest-git-commit?
+   (package
+     (inherit (make-package "/dev/null" "1.0.0" "0" "cabba9e"))
+     (source #false))))
+
+(test-equal "with-latest-git-commit?: only for git-version"
+  #false
+  (with-latest-git-commit?
+   (package
+     (inherit (make-package "/dev/null" "1.0.0" "0" "cabba9e"))
+     (version "1.0.0"))))
+
+(test-end "git")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:34 2022
Received: from localhost ([127.0.0.1]:51330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daL-0007l3-TY
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:34 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6daA-0007it-0l
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:26 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jAMsL; Sun, 09 Jan 2022 20:10:21 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 09/13] doc: Document the Minetest importer.
Date: Sun,  9 Jan 2022 19:10:11 +0000
Message-Id: <20220109191015.33058-9-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755421; bh=Wizf0e3yxGGfIFfEv8IqilX6aZQwIYW+JfUrnLpz9AU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=N8TugxQdJ+G6DFsgtoAWdH63HGXTzo57L0mALJKQUqD+x1ahbVFD6HdiOVPhr5Kvr
 aucDG1T7RmUbJ1djFWEnH0tTXgeN6CW1j8lcPrKeTZBfQCG7JFF6eTwdTeEKfy3DQi
 XFc+180AywfRogIeokaWiMT2oN34gKWGIkYbZwKYjktfjkbnsaq8UXmkJq8h9cg7SX
 CLmArJKPRUjChBej30MmS0D2JkrVKK+RFIDjX4YvHLeceaA7IhPnm6pFao1ilcr4t6
 VQdGPn9+phFmELh8VrpInjpSQfETkcuLvwg4V4+hGKn6rWlsdDmEAQWXeIbc6/l6j0
 axjlAaMsQLuvQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* doc/guix.texi (Invoking guix refresh): Include the Minetest importer in the
  list.
---
 doc/guix.texi | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index 0e19285c1c..5c1b9adb87 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -12575,6 +12575,8 @@ the updater for @uref{https://rubygems.org, RubyGems} packages.
 the updater for @uref{https://github.com, GitHub} packages.
 @item hackage
 the updater for @uref{https://hackage.haskell.org, Hackage} packages.
+@item minetest
+the updater for @uref{https://content.minetest.net, ContentDB} packages.
 @item stackage
 the updater for @uref{https://www.stackage.org, Stackage} packages.
 @item crate
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:33 2022
Received: from localhost ([127.0.0.1]:51328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daL-0007ku-CD
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:33 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6daA-0007iQ-Np
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:25 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jANsT; Sun, 09 Jan 2022 20:10:22 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 11/13] git: Support resolving references without cloning.
Date: Sun,  9 Jan 2022 19:10:13 +0000
Message-Id: <20220109191015.33058-11-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755422; bh=upQS00ODOcvEJm2qGuFwgCEsZwJgFPknkrfDPqc8QiQ=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Xm4bycv9tbecohAyHZ1gSCYSsuOzaP3BHnCF9y+43shFHCfpOno5Wq7XzOkD1Bd3C
 gcIXrANTHLJtoee3rlxbL7+pNdWwrfjN5L2laaKEo0V5jMKEKyFWOjPUGJQX2kZeb+
 ymrKik4XHHMoBhZsWn0mvXDTwihp1w+S4LWWwbv1SxQNMXoJebO66DQH52JqbzTHlO
 /ocoXjvvwcKbvV543GlY1KCRrH12BD/Fr3EN03dUqL0nB9CbjXz+pxP7r5rPvMYrPr
 zhk4lPE8jhA2w6SNkIJjm7QjKrfC08ZgtKBIqYDlHtmj7D+4XSHh5XADY5pfhWtpF0
 ER9pgQ6eVvOhg==
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * guix/git.scm (remote-refs): Split off some logic to ...
 (call-with-detached-remote): ... this new procedure. (lookup-reference): New
 procedure. * tests/git.scm ("lookup-reference: branch and HEAD"): [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [195.130.132.52 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maximedevos[at]telenet.be)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* guix/git.scm (remote-refs): Split off some logic to ...
  (call-with-detached-remote): ... this new procedure.
  (lookup-reference): New procedure.
* tests/git.scm ("lookup-reference: branch and HEAD"): New test.
---
 guix/git.scm  | 57 +++++++++++++++++++++++++++++++++++++++------------
 tests/git.scm | 22 +++++++++++++++++++-
 2 files changed, 65 insertions(+), 14 deletions(-)

diff --git a/guix/git.scm b/guix/git.scm
index 43e85a5026..1c07eba584 100644
--- a/guix/git.scm
+++ b/guix/git.scm
@@ -62,6 +62,7 @@ (define-module (guix git)
             commit-relation
 
             remote-refs
+            lookup-reference
 
             git-checkout
             git-checkout?
@@ -628,6 +629,22 @@ (define (commit-relation old new)
 ;;; Remote operations.
 ;;;
 
+;; TODO: it would be nice to use 'remote-create-detached' here,
+;; but that procedure isn't in any released version of guile-git yet.
+(define (call-with-detached-remote url proc)
+  "Call PROC with a remote for URL.  The remote is closed after PROC returns."
+  (call-with-temporary-directory
+   (lambda (cache-directory)
+     (let* ((repository (repository-init cache-directory))
+            ;; Create an in-memory remote so we don't touch disk.
+            (remote (remote-create-anonymous repository url)))
+       (remote-connect remote)
+       (let-values ((result (proc remote)))
+         ;; Wait until we're finished with the repository before closing it.
+         (remote-disconnect remote)
+         (repository-close! repository)
+         (apply values result))))))
+
 (define* (remote-refs url #:key tags?)
   "Return the list of references advertised at Git repository URL.  If TAGS?
 is true, limit to only refs/tags."
@@ -649,19 +666,33 @@ (define (remote-head->ref remote)
            name)))
 
   (with-libgit2
-   (call-with-temporary-directory
-    (lambda (cache-directory)
-      (let* ((repository (repository-init cache-directory))
-             ;; Create an in-memory remote so we don't touch disk.
-             (remote (remote-create-anonymous repository url)))
-        (remote-connect remote)
-
-        (let* ((remote-heads (remote-ls remote))
-               (refs (filter-map remote-head->ref remote-heads)))
-          ;; Wait until we're finished with the repository before closing it.
-          (remote-disconnect remote)
-          (repository-close! repository)
-          refs))))))
+   (call-with-detached-remote
+    url
+    (lambda (remote)
+      (define remote-heads (remote-ls remote))
+      (filter-map remote-head->ref remote-heads)))))
+
+(define* (lookup-reference url reference-name)
+  "Lookup the reference named REFERENCE-NAME advertised at the Git repository
+at URL and return the commit string.  If the reference was not found, return
+#false instead."
+  (define (oid->commit oid)
+    (define str (oid->string oid))
+    ;; FIXME: why is the result of oid->string prefixed by 8 zeroes
+    ;; when remote-ls is used?  To make hash collisions harder, it would
+    ;; be nice if the commit was not abbreviated.
+    (if (string-prefix? "00000000" str)
+        (string-drop str 8)
+        str))
+  (define (match? remote-head)
+    (string=? reference-name (remote-head-name remote-head)))
+  (with-libgit2
+   (call-with-detached-remote
+    url
+    (lambda (remote)
+      (define remote-heads (remote-ls remote))
+      (define head (find match? remote-heads))
+      (and=> head (compose oid->commit remote-head-oid))))))
 
 
 ;;;
diff --git a/tests/git.scm b/tests/git.scm
index d0646bbc85..f8eaf9e93b 100644
--- a/tests/git.scm
+++ b/tests/git.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2019, 2020 Ludovic Courtès <ludo@HIDDEN>
-;;; Copyright © 2021 Xinglu Chen <public@HIDDEN
+;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
+;;; Copyright © 2022 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -189,4 +190,23 @@ (define-module (test-git)
         (tag "v1.1" "Release 1.1"))
     (remote-refs directory #:tags? #t)))
 
+(test-equal "lookup-reference: branch and HEAD"
+  '(#true #true)
+  (with-temporary-git-repository directory
+      '((add "a.txt" "A")
+        (commit "First commit")
+        (branch "a-branch")
+        (add "b.txt" "B")
+        (commit "Second commit"))
+    (with-repository directory repository
+      ;; See 'oid->commit' in (guix git) for why not string=?.
+      (list (string-prefix?
+             (lookup-reference directory "refs/heads/a-branch")
+             (oid->string
+              (commit-id (find-commit repository "First commit"))))
+            (string-prefix?
+             (lookup-reference directory "HEAD")
+             (oid->string
+              (commit-id (find-commit repository "Second commit"))))))))
+
 (test-end "git")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:33 2022
Received: from localhost ([127.0.0.1]:51326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daL-0007kn-0O
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:33 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6daC-0007iS-F2
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:25 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jAPsa; Sun, 09 Jan 2022 20:10:24 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 13/13] gnu: minetest-throwing-arrows: Use 'latest-git' updater.
Date: Sun,  9 Jan 2022 19:10:15 +0000
Message-Id: <20220109191015.33058-13-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755424; bh=/gCtetWOK1ST2LwXrnYWzuCLRjj4qJ99UFlqcEzrKPg=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=hLMTrlQp0FXUB3w3Shz9735WOp5tqIU+N6KVsUXNjItWwPpQXarSBYihmts+Akkzw
 LzOmAR0xLiQsEpAQdQ6u1Ez4yKscPxrI59HAuklDmSuYEpzUFvJ8Vf4djY/EHiFW59
 /NLUQ9S712wLNhhLlvDbEjw/NEogtf8/beFNd6vQgxhksxpPFv/vkdpr9fXfOqA7+a
 Kq9lCy/083TLuztODS5Mi+sj9ObYJhxW9TExezbZcjR+zBC8CDSdrhPv4S8IsbUQuo
 mRx2mvJyY3/m9CW4SRFx1KrXS8qxLBC278vmkh1hL/gPAOpHxPZdRHVz0nIl8hiVYg
 Mj/enxAQFnhwA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/minetest.scm
  (minetest-throwing-arrows)[properties]: New field.
---
 gnu/packages/minetest.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/minetest.scm b/gnu/packages/minetest.scm
index 9122e01463..9270acc6e0 100644
--- a/gnu/packages/minetest.scm
+++ b/gnu/packages/minetest.scm
@@ -537,7 +537,8 @@ (define-public minetest-throwing-arrows
        ;; not be translated.
        "This mod adds arrows and bows to Minetest.  It is a compatible
 replacement for the throwing mod by PilzAdam that uses the throwing API.")
-      (license license:mpl2.0))))
+      (license license:mpl2.0)
+      (properties '((with-latest-git-commit . #true))))))
 
 (define-public minetest-worldedit
   (package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:33 2022
Received: from localhost ([127.0.0.1]:51324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daK-0007kk-Cd
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:32 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6daA-0007iS-BC
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:24 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jAMsP; Sun, 09 Jan 2022 20:10:22 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 10/13] upstream: Support incrementing the revision of
 'git-version'.
Date: Sun,  9 Jan 2022 19:10:12 +0000
Message-Id: <20220109191015.33058-10-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755422; bh=v1TrHB2SStczDDlPbBh4hKVcK72fHybe/vEEVbeutjk=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Ppx3QnbhxysRsjkl5xpd4ULQrxSurSlyiwZiMysW7ZmE5cxN6QsMqlBn6R2d+AlTO
 0iNxR45adqn0UNpv71uP/T17obMtXA3XosMq1YefpKrAzYrgd0hMEFPez173yEn5/Y
 AshmW1P1REYgbML9QTHMLNwBQPDk7o2zTkt4DxE1nA3GvXMu5v4YCvcXFKnPtAvnKY
 WZyVBMGzmcY6YZEecRhRcwVpx2vnpOnuovc1/Upxy91LSQ4pRbDTDHX2ZhnR1TglCG
 YtmnS5yKZN4jKKogLdHBsvdhnQsokb0QctPNR3E0EYhXNnUCPD4jNuzjLMMQHwMRUj
 KcnvzjdVM3NNw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is currently pointless, because no updater returns such versions.
A future patch will introduce an updater returning such versions.

* guix/upstream.scm
  (git-version-regexp): New variable.
  (maybe-git-version, maybe-git-version->revision)
  (maybe-git-versions->revision-replacements): New procedures.
  (update-package-source): Use 'package-definition-location' instead of
  'package-location'.  Also replace the revision.
---
 guix/upstream.scm  | 61 +++++++++++++++++++++++++++++++++++++++++++++-
 tests/upstream.scm | 37 ++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+), 1 deletion(-)

diff --git a/guix/upstream.scm b/guix/upstream.scm
index 6666803a92..6b65147356 100644
--- a/guix/upstream.scm
+++ b/guix/upstream.scm
@@ -61,6 +61,10 @@ (define-module (guix upstream)
             url-prefix-predicate
             coalesce-sources
 
+            decompose-git-version
+            maybe-git-version->revision
+            maybe-git-versions->revision-replacements ; for tests
+
             upstream-updater
             upstream-updater?
             upstream-updater-name
@@ -230,6 +234,55 @@ (define (release>? r1 r2)
         (sort sources release>?)))
 
 
+
+
+;;;
+;;; Manipulating results of 'git-version'.
+;;; TODO: also supporting Mercurial ('hg-version') would be nice.
+;;;
+
+;; A regexp matching versions constructed by 'git-version'.
+(define git-version-regexp
+  (delay (make-regexp "^(.+)-([0123456789]+).([0123456789abcdefg]{7})$")))
+
+(define (decompose-git-version git-version-string)
+  "Split the version string GIT-VERSION-STRING constructed by 'git-version'
+in three parts: the version it was based on, the revision (as a string)
+and the abbreviated commit.  If GIT-VERSION-STRING does not correspond
+to a result of 'git-version', return #false (three times) instead."
+  (define m (regexp-exec (force git-version-regexp) git-version-string))
+  (if m
+      (values (match:substring m 1)
+              (match:substring m 2)
+              (match:substring m 3))
+      (values #false #false #false)))
+
+(define (maybe-git-version->revision maybe-git-version) ; string | #false
+  "If the string MAYBE-GIT-VERSION appears to be the result of a call to
+'git-version', return the revision (as a string).  Otherwise, return #false."
+  (let-values (((version-base revision abbreviated-commit)
+                (decompose-git-version maybe-git-version)))
+    revision))
+
+(define (maybe-git-versions->revision-replacements old new)
+  "If the two strings OLD and NEW appear to be the result of a call
+to 'git-version', return a list of replacements as expected by
+'update-expression' in 'update-package-source' for updating the revision.
+Otherwise, return the empty list."
+  (let* ((old-revision (maybe-git-version->revision old))
+         (new-revision (maybe-git-version->revision new)))
+    (if (and old-revision new-revision)
+        ;; Simply returning ((old-revision . new-revision)) would work.
+        ;; However, revision numbers are usually quite small,
+        ;; e.g. "0" or "1", so that would have a high risk of replacing
+        ;; something unrelated.  Instead, target the (revision ...) form
+        ;; in (let ((commit ...) (revision ...)) (package ...)).
+        `((,(object->string `(revision ,old-revision))
+           . ,(object->string `(revision ,new-revision))))
+        '())))
+
+
+
 ;;;
 ;;; Auto-update.
 ;;;
@@ -535,7 +588,11 @@ (define (update-expression expr replacements)
         (version     (upstream-source-version source))
         (version-loc (package-field-location package 'version)))
     (if version-loc
-        (let* ((loc         (package-location package))
+        ;; Use 'package-definition-location' instead of 'package-location'
+        ;; such that the commit and revision in
+        ;; (let ((commit ...) (revision ...)) (package ...)) forms can
+        ;; be updated.
+        (let* ((loc         (package-definition-location package))
                (old-version (package-version package))
                (old-hash    (content-hash-value
                              (origin-hash (package-source package))))
@@ -570,6 +627,8 @@ (define (update-expression expr replacements)
                                            'filename file))
                     (replacements `((,old-version . ,version)
                                     (,old-hash . ,hash)
+                                    ,@(maybe-git-versions->revision-replacements
+                                       old-version version)
                                     ,@(if (and old-commit new-commit)
                                           `((,old-commit . ,new-commit))
                                           '())
diff --git a/tests/upstream.scm b/tests/upstream.scm
index 9aacb77229..0b14b9867f 100644
--- a/tests/upstream.scm
+++ b/tests/upstream.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2016 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2022 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2022 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -22,6 +23,7 @@ (define-module (test-upstream)
   #:use-module (guix download)
   #:use-module (guix packages)
   #:use-module (guix build-system gnu)
+  #:use-module (guix git-download)
   #:use-module (guix import print)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix upstream)
@@ -210,4 +212,39 @@ (define test-new-package-sexp
                     '("hello" "sed" "tar" "grep"))))
       (else (pk else #false)))))
 
+(define (decompose-git-version* str)
+  (call-with-values (lambda () (decompose-git-version str)) list))
+
+(test-equal "decompose-git-version returns arguments if commit is short"
+  '("1.2.3" "900" "cabba9e")
+  (decompose-git-version* "1.2.3-900.cabba9e"))
+
+(test-equal "decompose-git-version handles - in versions"
+  '("1.2.3-rc0" "123" "ba99a9e")
+  (decompose-git-version* "1.2.3-rc0-123.ba99a9e"))
+
+(test-equal "decompose-git-version returns #false if not a git-version result"
+  '(#false #false #false)
+  (decompose-git-version* "1.2.3-rc0.ba99a9e"))
+
+(test-equal "maybe-git-version->revision returns the revision"
+  "12"
+  (maybe-git-version->revision "1.2.3-12.ba99a9e"))
+
+(test-equal "maybe-git-version->revision returns #false if not a git-version"
+  #false
+  (maybe-git-version->revision "1.2.3-12.nope"))
+
+(test-equal "maybe-git-version->revision-replacement can return ()"
+  '(() () ())
+  (map maybe-git-versions->revision-replacements
+       '("1.2.3" "1.2.3" "1.2.3-21.cabba9e")
+       '("1.2.3" "1.2.3-21.cabba9e" "1.2.3")))
+
+(test-equal "maybe-git-version->revision-replacement with git-version"
+  '(("(revision \"0\")" . "(revision \"1\")"))
+  (maybe-git-versions->revision-replacements
+   (git-version "1.2.3" "0" "cabba9e")
+   (git-version "1.2.3" "1" "ba99age")))
+
 (test-end)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:28 2022
Received: from localhost ([127.0.0.1]:51322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daF-0007kU-W2
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:28 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6da9-0007iQ-LG
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:21 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jAMsG; Sun, 09 Jan 2022 20:10:21 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 08/13] gnu: minetest-mobs: Update to 2022-01-03.
Date: Sun,  9 Jan 2022 19:10:10 +0000
Message-Id: <20220109191015.33058-8-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755421; bh=IZR+URTHfEHVCxQpLjYJmh1ajDFltsFFFaIMGddDOJI=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Edq3OXi7J0N0nA4U48xTpOdhfB5oTFCXS17GsVru2swVj1U+lmJsyqytxKxCGvdMd
 LFCOtc9qd/jyTCR5McEitRtTSCCm3c94WsuwvIpmQgjJe45SB29zqPuZA7ejrbE1fc
 u4sPBpK9rz+le99u3v3fA9/VB01S9L1+v07g5CirgAZ4X4Kf4NsBwIsfILWpI87K4h
 JJw6v2PA2Km3Rm4IJxDUvBfLvN3EVf+T2CNwB4Daa51Swmaa6XXhQ8zOW2ljjzPXU2
 UukpIEbun3Z+iWki7EyeGe0yu7bMtRjXG89xSTfhDm3whmP4X2Wu6hceSMW9sSJ9hl
 VMdCwVaRBUpsg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/minetest.scm (minetest-mobs): Update to 2022-01-03.
---
 gnu/packages/minetest.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/minetest.scm b/gnu/packages/minetest.scm
index 8940672e33..9122e01463 100644
--- a/gnu/packages/minetest.scm
+++ b/gnu/packages/minetest.scm
@@ -375,15 +375,15 @@ (define-public minetest-mineclone
 (define-public minetest-mobs
   (package
     (name "minetest-mobs")
-    (version "2021-12-12")
+    (version "2022-01-03")
     (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://notabug.org/TenPlus1/mobs_redo")
-             (commit "6a4a02f3fbf1038c69e72aaafa52a1e7d6106da8")))
+             (commit "e5d1958e16fa9df1b0b8cfcd425fb82981a29370")))
        (sha256
-        (base32 "0vgv7jpm9v3dwq4l9jxdd5z14yq164w8kin1d05jfv3ck4hwlwvr"))
+        (base32 "1pj08750m9123z0r5yxwcp5ncdml9c9rfv4sv45rvhq8npk5hvcw"))
        (file-name (git-file-name name version))))
     (build-system minetest-mod-build-system)
     (home-page (minetest-topic 9917))
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:27 2022
Received: from localhost ([127.0.0.1]:51320 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daF-0007kN-JY
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:27 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6da9-0007iS-7r
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:21 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jALsC; Sun, 09 Jan 2022 20:10:21 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 07/13] gnu: minetest-mesecons: Update to 2021-11-28.
Date: Sun,  9 Jan 2022 19:10:09 +0000
Message-Id: <20220109191015.33058-7-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755421; bh=z5QDQxqb8fdrzOyWSFnVkmjWZqzjamqwWAVgABzFOyc=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=nVIxUIuki2V78N5ZhmKtuM10DmcP2hkcNxYvcn4eMa39mSsRoZ5BJUtFUYqOzgCci
 BAbv6q7ZxyLl1+sfgMk8OENlmE1/FYTA9E3ra/slMJ3yPLGj4eL89sMzd9G58wrPYm
 rofiWT5lC71zMDsRQ8zVrebrn3VgHJiOP/RQ6+oTj+XunBIczGG94SyW/hsbz72hEm
 dCon4WbSjRmsnA7BIR6uLcjoyo5I0yLZlq3MDkIcxCYMW8+5jriP00tG8a6DfC7Pfz
 L7GYFd++UWDyVu6RheqFcyfKUDvn2vDfYvxH3aEnCK3mFOIp5wcFRliHfvxppWUBU2
 4ndlgkrDBpEAQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/minetest.scm (minetest-mesecons): Update to 2021-11-28.
---
 gnu/packages/minetest.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/minetest.scm b/gnu/packages/minetest.scm
index 40c658fdb3..8940672e33 100644
--- a/gnu/packages/minetest.scm
+++ b/gnu/packages/minetest.scm
@@ -318,15 +318,15 @@ (define-public minetest-homedecor-modpack
 (define-public minetest-mesecons
   (package
     (name "minetest-mesecons")
-    (version "2021-07-25")
+    (version "2021-11-28")
     (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://github.com/minetest-mods/mesecons")
-             (commit "db5879706d04d3480bc4863ce0c03fa73e5f10c7")))
+             (commit "ecea0a2896d488f82f34505eb608ab5f527f50ec")))
        (sha256
-        (base32 "04m9s9l3frw1lgki41hgvjsw2zkrvfv0sy750b6j12arzb3lv645"))
+        (base32 "14v4vfwlk7dg5lk93sjdjg7n8amw0qlcxdn3d0gdfwvx8305vn5r"))
        (file-name (git-file-name name version))))
     (build-system minetest-mod-build-system)
     (home-page "https://mesecons.net")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:27 2022
Received: from localhost ([127.0.0.1]:51318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daF-0007kF-3h
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:27 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6da8-0007it-SY
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:21 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jALs6; Sun, 09 Jan 2022 20:10:20 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 05/13] gnu: minetest: Remove obsolete comments about version
 numbers.
Date: Sun,  9 Jan 2022 19:10:07 +0000
Message-Id: <20220109191015.33058-5-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755420; bh=akShKiKeJVYor+cVZlWGWSD46OgebaZ0itUXSJ/Ofe0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=c4wty2R9axdCxcGaX1PR5j74XvwJj+VlfuTdEG2TNmttplsPjhsNJKj3KLHedGIji
 jVuxv1AXpZHeAdrVTviylHFUA2JIkR9zk2eP0qqSnVxJaV+ayMhljDiOIkpSlnUMAu
 EG52rl9mJDOQvs/cUGSCyadn1GmGdsoYuBTI0ixodp+7bC6/WPfb6hw27zPXwxBTtE
 U49fBAT0OBZs1Wa5iwL0D5CJBVgrIUt1CB9FNCmQbeR7fe9CKwMxCc0asTu2Nw0yEf
 UTDa+TnhwwcmsU7Cbtv2nPsHUxUZRVx6bGWL669qiZM6k/cR2cktBPiBZBWLrtpCXH
 SDryxsKPhc3mg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

According to the new contributing documentation about Minetest,
the release titles from ContentDB are acceptable.

* gnu/packages/minetest.scm
  (minetest-basic-materials,minetest-coloredwood,minetest-homedecor-modpack)
  (minetest-mobs,minetest-mobs-animal,minetest-pipeworks,minetest-technic):
  Remove comments about version numbers / dates.
---
 gnu/packages/minetest.scm | 13 -------------
 1 file changed, 13 deletions(-)

diff --git a/gnu/packages/minetest.scm b/gnu/packages/minetest.scm
index cdf862e189..8ade7bb966 100644
--- a/gnu/packages/minetest.scm
+++ b/gnu/packages/minetest.scm
@@ -211,7 +211,6 @@ (define-public minetest-moreores
 (define-public minetest-basic-materials
   (package
     (name "minetest-basic-materials")
-    ;; Upstream uses dates as version numbers.
     (version "2021-12-26")
     (source
      (origin
@@ -240,7 +239,6 @@ (define-public minetest-basic-materials
 (define-public minetest-coloredwood
   (package
     (name "minetest-coloredwood")
-    ;; Upstream uses dates as version numbers.
     (version "2021-04-14-1")
     (source
      (origin
@@ -292,8 +290,6 @@ (define-public minetest-ethereal
 (define-public minetest-homedecor-modpack
   (package
     (name "minetest-homedecor-modpack")
-    ;; Upstream doesn't tag releases, so use the release title from
-    ;; ContentDB as version.
     (version "2021-12-26")
     (source
      (origin
@@ -379,8 +375,6 @@ (define-public minetest-mineclone
 (define-public minetest-mobs
   (package
     (name "minetest-mobs")
-    ;; Upstream does not tag release, so use the ContentDB release
-    ;; title instead.
     (version "2021-12-12")
     (source
      (origin
@@ -408,8 +402,6 @@ (define-public minetest-mobs
 (define-public minetest-mobs-animal
   (package
     (name "minetest-mobs-animal")
-    ;; Upstream does not use version numbers, so use the release title
-    ;; from ContentDB instead;
     (version "2021-11-14")
     (source
      (origin
@@ -435,7 +427,6 @@ (define-public minetest-mobs-animal
 (define-public minetest-pipeworks
   (package
     (name "minetest-pipeworks")
-    ;; Upstream uses dates as version numbers.
     (version "2021-04-14-1")
     (source
      (origin
@@ -466,8 +457,6 @@ (define-public minetest-pipeworks
 (define-public minetest-technic
   (package
     (name "minetest-technic")
-    ;; Upstream doesn't keep version numbers, so use the release
-    ;; date on ContentDB instead.
     (version "2021-09-11")
     (source
      (origin
@@ -604,8 +593,6 @@ (define-public minetest-unifieddyes
 (define-public minetest-unified-inventory
   (package
     (name "minetest-unified-inventory")
-    ;; Upstream doesn't keep version numbers, so use the release title
-    ;; on ContentDB instead.
     (version "2021-12-26")
     (source
      (origin
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:27 2022
Received: from localhost ([127.0.0.1]:51316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daE-0007k3-Hw
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:27 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6da8-0007iQ-Tr
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:21 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jALs8; Sun, 09 Jan 2022 20:10:20 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 06/13] gnu: minetest-ethereal: Update to 2022-01-05.
Date: Sun,  9 Jan 2022 19:10:08 +0000
Message-Id: <20220109191015.33058-6-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755420; bh=k8p13aMiTaiLFT1RSdFyNXwO8UZqd/omk/EYV0OKFvo=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=CJVVSn6lqlyQwoZ19E3d+bmAuyIQA4j+M01hSjkx3/+mazId9hf8A5vL8tbW6mOlf
 0nYJeZk+LuRvSqTGOATnwkdR/vfo9m7Q/1/STduj2w8iH908hRNk139QQEjQfTwkh8
 DjWLEwPag8Va/AgyPlPHQgaBPzK9Rg7uWEcXBj6DH0S/Ux8f7/q5ybPEqtMhq02CZI
 yO/xc6kiQ4mIpJQUKoPW7W0GTOaEaazY9y6+2fesSTaLcX1Ue0oQz7Ozj89o9iCddD
 IojkscNzQhujveZG7wyya+9SuEKyX3rLsgxJtvC209OYBNT6lM1MYKz62/Jtr8AKei
 zSAlfRxBJ+zNA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/minetest.scm (minetest-ethereal): Update to 2022-01-05.
---
 gnu/packages/minetest.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/minetest.scm b/gnu/packages/minetest.scm
index 8ade7bb966..40c658fdb3 100644
--- a/gnu/packages/minetest.scm
+++ b/gnu/packages/minetest.scm
@@ -266,15 +266,15 @@ (define-public minetest-coloredwood
 (define-public minetest-ethereal
   (package
     (name "minetest-ethereal")
-    (version "2021-07-28")
+    (version "2022-01-05")
     (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://notabug.org/TenPlus1/ethereal")
-             (commit "7670c1da9274901f57f6682384af2b3bae005a86")))
+             (commit "fefa1b76fb04331dbde59dd745d120c1c728e9f7")))
        (sha256
-        (base32 "1hal8bq4fydsip7s8rqz4vlaaqy9rhzxmryd0j2qnqm9286yjgkk"))
+        (base32 "1hs1xrxb99kcrq03yl1bkbr0hnql9n0wblqn5sirs6wb3qshx9zd"))
        (file-name (git-file-name name version))))
     (build-system minetest-mod-build-system)
     (home-page (minetest-topic 14638))
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:26 2022
Received: from localhost ([127.0.0.1]:51314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daD-0007jq-TR
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:26 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6da8-0007iS-2z
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:20 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jAKs3; Sun, 09 Jan 2022 20:10:19 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 04/13] gnu: minetest-throwing: Follow new versioning
 conventions.
Date: Sun,  9 Jan 2022 19:10:06 +0000
Message-Id: <20220109191015.33058-4-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755419; bh=KwXafmh0LuiycLQJblB/ILVKEVT9pEMiraf5feWZsnU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=gjXfuJ2/ST3KXM2nMudyNxnsc1bT8EuCospPbhddkiu2KdK/vkd3ZrVOaHIjPd5ss
 L6f2IKKCdluoYEqaCs7Nlp1QObkF3/VO//dPuF9u6AITQNYIoXbfUenJ9f5hizqcSR
 Rwm+lSdNAn8JVcQld+ZK085kc2l+2nG+f9m1SAJ4Quv+2/VlSUxp50TOJ5xmzdw6yN
 wIHnuSVcBCoeahQUxbN89ZuKWRilat2PWAiT1xSyES/AJG0dhvuOiz0HeshFXyL9YC
 zzjQIf7eqheP3TnsQjGxB3yY38LtDdIfXUMtrzpusgg3TZL3qbhriv7z3IUQzgmbfo
 MKfdV0sb0U0Xw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/minetest.scm (minetest-throwing): Use version from ContentDB.
---
 gnu/packages/minetest.scm | 42 ++++++++++++++++++---------------------
 1 file changed, 19 insertions(+), 23 deletions(-)

diff --git a/gnu/packages/minetest.scm b/gnu/packages/minetest.scm
index fd68877330..cdf862e189 100644
--- a/gnu/packages/minetest.scm
+++ b/gnu/packages/minetest.scm
@@ -498,31 +498,27 @@ (define-public minetest-technic
     (properties `((upstream-name . "RealBadAngel/technic")))))
 
 (define-public minetest-throwing
-  ;; The latest release on ContentDB is ahead of the latet
-  ;; tagged commit.
-  (let ((commit "31f0cf5f868673dc82f24ddc432b45c9cd282d27")
-        (revision "0"))
-    (package
-      (name "minetest-throwing")
-      (version (git-version "1.1" revision commit))
-      (source
-       (origin
-         (method git-fetch)
-         (uri (git-reference
-               (url "https://github.com/minetest-mods/throwing")
-               (commit commit)))
-         (sha256
-          (base32 "1s5kkr6rxxv2dhbbjzv62gw1s617hnpjavw1v9fv11v3mgigdfjb"))
-         (file-name (git-file-name name version))))
-      (build-system minetest-mod-build-system)
-      (home-page (minetest-topic 16365))
-      (synopsis "API for throwing things in Minetest")
-      (description
-       "This Minetest mod provides an API for registering throwable things and
+  (package
+    (name "minetest-throwing")
+    (version "2020-08-14")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/minetest-mods/throwing")
+             (commit "31f0cf5f868673dc82f24ddc432b45c9cd282d27")))
+       (sha256
+        (base32 "1s5kkr6rxxv2dhbbjzv62gw1s617hnpjavw1v9fv11v3mgigdfjb"))
+       (file-name (git-file-name name version))))
+    (build-system minetest-mod-build-system)
+    (home-page (minetest-topic 16365))
+    (synopsis "API for throwing things in Minetest")
+    (description
+     "This Minetest mod provides an API for registering throwable things and
 throwing things like arrows.  However, this mod does not provide an actual
 arrow and bow, but @code{minetest-throwing-arrows} does.")
-      (license license:mpl2.0)
-      (properties `((upstream-name . "Palige/throwing"))))))
+    (license license:mpl2.0)
+    (properties `((upstream-name . "Palige/throwing")))))
 
 (define-public minetest-throwing-arrows
   ;; There is only one tagged commit (version 1.1),
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:25 2022
Received: from localhost ([127.0.0.1]:51312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daC-0007jX-MO
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:25 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6da7-0007iQ-Kt
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:20 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jAKrv; Sun, 09 Jan 2022 20:10:19 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 03/13] gnu: minetest-mesecons: Follow new versioning
 conventions.
Date: Sun,  9 Jan 2022 19:10:05 +0000
Message-Id: <20220109191015.33058-3-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755419; bh=m8pqHuzwGVriuXuQlcUulFf+k9u/2T06fPj5IOsQ9VI=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=KcWY8XPvSq/GDMXQ5OiGePtFeiMrxpkhUkdKuBpAsLhnMYjly8b3g7WXgBXVz/T5z
 otqTHTbORQIo91tP+/338hFvDMlsGj7aGMsZuPa6plITEl6ZqCSGjeNq12/4Vq3jW0
 gJKVF1JfDiJh3SN/XtaOXB3DNQB3Ac45eFqKLM7GBuCvHXXJ2zhmjMhY8H7/JEzu2H
 sCZpjrIhuwnbBNd0+AEZKqLwOwffqBIepFiZtF5x2JwVVIJTPNACUlycz3JpBHIWUg
 4xibwp6cUyo6lmPBprW1Vh/8TFDvDGkC1Z1VgwFo2XevnAIbkJZLrPeIEoDrklB04U
 NICKjEmMs9p8A==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/minetest.scm (minetest-mesecons): Use version from ContentDB.
---
 gnu/packages/minetest.scm | 53 ++++++++++++++++++---------------------
 1 file changed, 25 insertions(+), 28 deletions(-)

diff --git a/gnu/packages/minetest.scm b/gnu/packages/minetest.scm
index 56892a5aff..fd68877330 100644
--- a/gnu/packages/minetest.scm
+++ b/gnu/packages/minetest.scm
@@ -320,40 +320,37 @@ (define-public minetest-homedecor-modpack
     (properties `((upstream-name . "VanessaE/homedecor_modpack")))))
 
 (define-public minetest-mesecons
-  ;; The release on ContentDB does not have its own version number.
-  (let ((commit "db5879706d04d3480bc4863ce0c03fa73e5f10c7")
-        (revision "0"))
-    (package
-      (name "minetest-mesecons")
-      (version (git-version "1.2.1" revision commit))
-      (source
-       (origin
-         (method git-fetch)
-         (uri (git-reference
-               (url "https://github.com/minetest-mods/mesecons")
-               (commit commit)))
-         (sha256
-          (base32 "04m9s9l3frw1lgki41hgvjsw2zkrvfv0sy750b6j12arzb3lv645"))
-         (file-name (git-file-name name version))))
-      (build-system minetest-mod-build-system)
-      (home-page "https://mesecons.net")
-      (synopsis
-       "Digital circuitry for Minetest, including wires, buttons and lights")
-      (description
-       "Mesecons is a mod for Minetest implementing various items related
+  (package
+    (name "minetest-mesecons")
+    (version "2021-07-25")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/minetest-mods/mesecons")
+             (commit "db5879706d04d3480bc4863ce0c03fa73e5f10c7")))
+       (sha256
+        (base32 "04m9s9l3frw1lgki41hgvjsw2zkrvfv0sy750b6j12arzb3lv645"))
+       (file-name (git-file-name name version))))
+    (build-system minetest-mod-build-system)
+    (home-page "https://mesecons.net")
+    (synopsis
+     "Digital circuitry for Minetest, including wires, buttons and lights")
+    (description
+     "Mesecons is a mod for Minetest implementing various items related
 to digital circuitry, such as wires, buttons, lights and programmable
 controllers.  Among other things, there are also pistons, solar panels,
 pressure plates and note blocks.
 
 Mesecons has a similar goal to Redstone in Minecraft, but works in its own way,
 with different rules and mechanics.")
-      ;; LGPL for code, CC-BY-SA for textures.
-      ;; The README.md and COPYING.txt disagree about the "+" in license:lgpl3+.
-      ;; For now, assume README.md is correct.  Upstream has been asked to
-      ;; correct the inconsistency:
-      ;; <https://github.com/minetest-mods/mesecons/issues/575>.
-      (license (list license:lgpl3+ license:cc-by-sa3.0))
-      (properties `((upstream-name . "Jeija/mesecons"))))))
+    ;; LGPL for code, CC-BY-SA for textures.
+    ;; The README.md and COPYING.txt disagree about the "+" in license:lgpl3+.
+    ;; For now, assume README.md is correct.  Upstream has been asked to
+    ;; correct the inconsistency:
+    ;; <https://github.com/minetest-mods/mesecons/issues/575>.
+    (license (list license:lgpl3+ license:cc-by-sa3.0))
+    (properties `((upstream-name . "Jeija/mesecons")))))
 
 (define-public minetest-mineclone
   (package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:24 2022
Received: from localhost ([127.0.0.1]:51304 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6daB-0007jM-17
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:24 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6da7-0007iS-84
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:19 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jAJrr; Sun, 09 Jan 2022 20:10:18 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 02/13] gnu: minetest-ethereal: Follow new versioning
 conventions.
Date: Sun,  9 Jan 2022 19:10:04 +0000
Message-Id: <20220109191015.33058-2-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220109191015.33058-1-maximedevos@HIDDEN>
References: <20220109191015.33058-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755418; bh=l2Vkk6GgmcJN0O3aAtrN/zl32DbHgOtMpY4LTFN1Ma8=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=AiuZl2D9yd2tI0NjGYiluxEK9zD6RyZtclVbnRhYFvUZkOf8Y4R9kgK/8HxdOUVb1
 GojNujX96LsH7EYmCQ9iReOGzjpI6xfFZmkxxOU8m5O4KRD+lEH6NlaEH0KDEI/Vvo
 7GYoqwTbMVCW9h9nesTQp9Tami0xDVCKuI/i09s6fdfIRvftMt9jxLC4KUbZcl4DTZ
 CMrPdNiJxbY8C18C+SHw/G62y2kOkN8GmnZTpNFaq9Sb3LfY78ObGXugVGPrZpFq4q
 YZGkEMNsQRuZPlDxzS2jYMuDo/oIeyrjJYSU+lq3l+VK72NMh2qqwyDxQzNztQomwu
 0LAn6pqx44EyA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/minetest.scm (minetest-ethereal): Use version from ContentDB.
---
 gnu/packages/minetest.scm | 45 +++++++++++++++++----------------------
 1 file changed, 20 insertions(+), 25 deletions(-)

diff --git a/gnu/packages/minetest.scm b/gnu/packages/minetest.scm
index c431942473..56892a5aff 100644
--- a/gnu/packages/minetest.scm
+++ b/gnu/packages/minetest.scm
@@ -266,33 +266,28 @@ (define-public minetest-coloredwood
     (properties `((upstream-name . "VanessaE/coloredwood")))))
 
 (define-public minetest-ethereal
-  ;; ContentDB release 2021-07-28 is slightly ahead of the
-  ;; initial version 1.29 -- i.e., some released changes have been
-  ;; made to version 1.29 without a corresponding version bump.
-  (let ((commit "7670c1da9274901f57f6682384af2b3bae005a86")
-        (revision "0"))
-    (package
-      (name "minetest-ethereal")
-      (version (git-version "1.29" revision commit))
-      (source
-       (origin
-         (method git-fetch)
-         (uri (git-reference
-               (url "https://notabug.org/TenPlus1/ethereal")
-               (commit commit)))
-         (sha256
-          (base32 "1hal8bq4fydsip7s8rqz4vlaaqy9rhzxmryd0j2qnqm9286yjgkk"))
-         (file-name (git-file-name name version))))
-      (build-system minetest-mod-build-system)
-      (home-page (minetest-topic 14638))
-      (synopsis "The Ethereal mod adds many new biomes to Minetest")
-      (description
-       "The Ethereal Minetest mod uses the v7 map generator to add many new
+  (package
+    (name "minetest-ethereal")
+    (version "2021-07-28")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://notabug.org/TenPlus1/ethereal")
+             (commit "7670c1da9274901f57f6682384af2b3bae005a86")))
+       (sha256
+        (base32 "1hal8bq4fydsip7s8rqz4vlaaqy9rhzxmryd0j2qnqm9286yjgkk"))
+       (file-name (git-file-name name version))))
+    (build-system minetest-mod-build-system)
+    (home-page (minetest-topic 14638))
+    (synopsis "The Ethereal mod adds many new biomes to Minetest")
+    (description
+     "The Ethereal Minetest mod uses the v7 map generator to add many new
 biomes to the world.  It adds new trees, plants, food items, tweaks and some
 special items, intending to make an interesting adventure.")
-      ;; CC0: some textures
-      (license (list license:cc0 license:expat))
-      (properties `((upstream-name . "TenPlus1/ethereal"))))))
+    ;; CC0: some textures
+    (license (list license:cc0 license:expat))
+    (properties `((upstream-name . "TenPlus1/ethereal")))))
 
 (define-public minetest-homedecor-modpack
   (package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at 53144 <at> debbugs.gnu.org:


Received: (at 53144) by debbugs.gnu.org; 9 Jan 2022 19:10:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:10:20 2022
Received: from localhost ([127.0.0.1]:51286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6da7-0007ib-Jw
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:19 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:49144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6da6-0007iQ-Ih
 for 53144 <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:10:19 -0500
Received: from localhost.localdomain ([188.188.180.65])
 by xavier.telenet-ops.be with bizsmtp
 id gjAG2600J1R3YAc01jAHrm; Sun, 09 Jan 2022 20:10:17 +0100
From: Maxime Devos <maximedevos@HIDDEN>
To: 53144 <at> debbugs.gnu.org
Subject: [PATCH 01/13] doc: Give some tips on Minetest packaging.
Date: Sun,  9 Jan 2022 19:10:03 +0000
Message-Id: <20220109191015.33058-1-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755417; bh=e71yQUMfNEbdomYy27kIuF7SCJpK6wgxM+AZ31AwVgE=;
 h=From:To:Cc:Subject:Date;
 b=oUUN2HaU441kfjTPWwqI26E8fLlQ93uPORSzg6VBI8AoV3TU6G7Y5C9WFaFPrGugl
 c6/sSjX5OUaeqvtSYXTrdzB9mIo9O756aAbNS8dLU8Sm4ZdjCfpbwBSEnz/99mZ0fm
 fITtK00L4iVrVo+WlVz/8ozc6+FkJidAxFQ2Wa3du1oKUm55NVatsULHIoBfXuGHAP
 E6Y7JF71RsXa0wfpG7EiqOig9eQsZr1KXKUjHR+V9oru/2Mygl04CSMAjtOcrezDGR
 5r84atigyj1BkBrl6Thtf7tN36HCqHHcJAnaGcWJwwety41c0bCa8nVX5fQnbFbdwK
 LrmHQzl57aQQQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53144
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* doc/contributing.texi (Minetest Packages): New section.
* doc/guix.texi: Copyright update.
---
 doc/contributing.texi | 42 ++++++++++++++++++++++++++++++++++++++++++
 doc/guix.texi         |  2 +-
 2 files changed, 43 insertions(+), 1 deletion(-)

diff --git a/doc/contributing.texi b/doc/contributing.texi
index 72f5ce1e0e..5b91fc7867 100644
--- a/doc/contributing.texi
+++ b/doc/contributing.texi
@@ -394,6 +394,7 @@ needed is to review and apply the patch.
 * Synopses and Descriptions::   Helping users find the right package.
 * Snippets versus Phases::      Whether to use a snippet, or a build phase.
 * Emacs Packages::              Your Elisp fix.
+* Minetest Packages::           Building blocks.
 * Python Modules::              A touch of British comedy.
 * Perl Modules::                Little pearls.
 * Java Packages::               Coffee break.
@@ -703,6 +704,47 @@ When encountering problems, it is wise to check for the presence of the
 file, and whether any dependencies and their versions listed therein are
 satisfied.
 
+@node Minetest Packages
+@subsection Minetest Packages
+@cindex minetest, packaging
+
+A Minetest mod @code{foo} is named @code{minetest-foo} -- the author
+name from ContentDB is not included, unless required to resolve a name
+collision.
+
+Sometimes, it might be unclear what the version of a Minetest mod is.
+For example, ContentDB and the importer reports 2020-01-01, but
+according to the forums the version is 2.1.  Usually, in these cases the
+version on ContentDB is the newest and intended for distribution. As
+such, you can use the version from ContentDB without any special
+comments.
+
+@c Currently it's always checked out from git, but in principle
+@c tarballs could be used.
+
+Even though the source code is often checked out from version control,
+it is not necessary to use @code{git-version} or @code{hg-version}: the
+releases on ContentDB are formal releases; in fact they are upstream's
+official source of Minetest packages and they are not mutated in-place.
+
+@c Example (zip): mods by TenPlus1
+@c Example (git): basic_materials, ethereal
+While ContentDB provides the source code of packages in zip form, it is
+recommended not to use these, because users can and do delete old
+versions.  Likewise, sometimes the maintainer initially did tag versions
+but later stops doing so, breaking @command{guix refresh -u}.  As such,
+it is recommended not to use git tags in @code{origin} records and
+instead refer to the commit directly.
+
+The dependency information from ContentDB is usually correct.  However,
+sometimes to actually use a Minetest mod, an additional non-declared
+Minetest mod is required.  For example, to craft an item from a mod
+@code{minetest-basic-materials} in non-creative mode, an item from the
+mod @code{minetest-moreores} is required.  In such situations, it is
+recommended to add @code{minetest-moreores} to the inputs of
+@code{minetest-basic-materials}.  The dependencies go into
+@code{propagated-inputs}.
+
 @node Python Modules
 @subsection Python Modules
 
diff --git a/doc/guix.texi b/doc/guix.texi
index 08e5bfa111..0e19285c1c 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -88,7 +88,7 @@ Copyright @copyright{} 2020 Daniel Brooks@*
 Copyright @copyright{} 2020 John Soo@*
 Copyright @copyright{} 2020 Jonathan Brielmaier@*
 Copyright @copyright{} 2020 Edgar Vincent@*
-Copyright @copyright{} 2021 Maxime Devos@*
+Copyright @copyright{} 2021, 2022 Maxime Devos@*
 Copyright @copyright{} 2021 B. Wilson@*
 Copyright @copyright{} 2021 Xinglu Chen@*
 Copyright @copyright{} 2021 Raghav Gururajan@*

base-commit: 9fd4f4b09cc0495d6b1418f171ff738a1086cc00
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2022 19:08:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 14:08:36 2022
Received: from localhost ([127.0.0.1]:51275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6dYN-0007f8-Hy
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:08:36 -0500
Received: from lists.gnu.org ([209.51.188.17]:39528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1n6dYI-0007ew-Gz
 for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 14:08:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53824)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maximedevos@HIDDEN>)
 id 1n6dYI-0000Nj-DI
 for guix-patches@HIDDEN; Sun, 09 Jan 2022 14:08:26 -0500
Received: from leibniz.telenet-ops.be ([195.130.137.77]:39228)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maximedevos@HIDDEN>)
 id 1n6dYG-0005eW-8A
 for guix-patches@HIDDEN; Sun, 09 Jan 2022 14:08:26 -0500
Received: from andre.telenet-ops.be (andre.telenet-ops.be
 [IPv6:2a02:1800:120:4::f00:15])
 by leibniz.telenet-ops.be (Postfix) with ESMTPS id 4JX61L2Ct9zMqfCY
 for <guix-patches@HIDDEN>; Sun,  9 Jan 2022 20:08:22 +0100 (CET)
Received: from [172.20.10.5] ([188.188.180.65])
 by andre.telenet-ops.be with bizsmtp
 id gj8F2600Q1R3YAc01j8HE0; Sun, 09 Jan 2022 20:08:18 +0100
Message-ID: <0498a1400cfa72db28da35e46d64bf6e1267b3d7.camel@HIDDEN>
Subject: [PATCH 0/13] Make more git-using packages auto-updatable
From: Maxime Devos <maximedevos@HIDDEN>
To: guix-patches@HIDDEN
Date: Sun, 09 Jan 2022 20:08:14 +0100
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-KIPIS5wMxQdqvNEVNfHL"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1641755298; bh=1/cWa+0HiHf2ezNNC/crOL9rNsn9XeewaInKhmauBr4=;
 h=Subject:From:To:Date;
 b=fqslpQXCNJkrBTMqlDfRUJBTCWi6b0sSQ15+A+bNqW4p1ZHgCzLRw7MsHew3hgyIV
 +PEWS4t+SYCB3MsVysGTKQfIXwgy2zmRLhnMOdr+LcH+tBi/KMk+9bYF4wrMZdqpy/
 CA32xjUmM3dpp5tSZobPzuLQaE7/On1G9i/1u4TSFrrhY9p+TiA2g+9pzGwzVNZQtr
 LNYVWDlcxUjpswUaDv6OOILq1jGUdh29F0ZPjUSzjsPs6E7gqdW4+jlNrkPD4VByfM
 oeOg8TH82dxAoahUM9pQOxqu2fsAKKqODM50lz9OvYpYH17cP9BpyTmL/b2773SPwB
 ixqRX5GNjjcGA==
Received-SPF: pass client-ip=195.130.137.77;
 envelope-from=maximedevos@HIDDEN; helo=leibniz.telenet-ops.be
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 FREEMAIL_REPLY=1, RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=-0.01,
 RCVD_IN_MSPIKE_WL=-0.01, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: X-Debbugs-CC: liliana.prikler@HIDDEN ludo@HIDDEN
 iskarian@HIDDEN public@HIDDEN Hi,
 This patch series makes more packages that use 'git-fetch'
 auto-updatable. The first 9 patches are specifically for Minetest packages.
 The following three patches make packages written in the folowing [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.51.188.17 listed in wl.mailspike.net]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maximedevos[at]telenet.be)
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.0 FREEMAIL_REPLY         From and body contain different freemails
 1.3 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  X-Debbugs-CC: liliana.prikler@HIDDEN ludo@HIDDEN iskarian@HIDDEN
    public@HIDDEN Hi, This patch series makes more packages that use 'git-fetch'
    auto-updatable. The first 9 patches are specifically for Minetest packages.
    The following three patches make packages written in the folowing [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (maximedevos[at]telenet.be)
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager


--=-KIPIS5wMxQdqvNEVNfHL
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

X-Debbugs-CC: liliana.prikler@HIDDEN ludo@HIDDEN iskarian@HIDDEN publ=
ic@HIDDEN

Hi,

This patch series makes more packages that use 'git-fetch'
auto-updatable.  The first 9 patches are specifically for Minetest packages=
.
The following three patches make packages written in the folowing style
auto-updatable:

(define-public foo
  ;; Upstream never makes any releases, so use the latest commit
  ;; from the 'stable' branch instead.
  (let ((commit "deadbeef...")
        (revision "9"))
    (package
      (name "foo")
      (version (git-version "0" revision commit))
      (source [git-fetch etc.])
      [etc.]
      (properties '((with-latest-git-commit . "refs/heads/stable"))))))

To do so, make sure with-latest-git-commit is set, and run
"./pre-inst-env guix refresh -t -u foo".  It will update
the commit and revision.

The last patch sets the property 'with-latest-git-commit'.

tests/channels.scm ("channel-news, one entry") fails, TBI.
"make check" is running, I'll send a message about what fails
and succeeds.

You can also grab a copy from https://notabug.org/maximed/guix-gnunet
(branch: wip-git-fetch2, 358c8f64966c423927f22f1c0ee29e85e70b1af8)

Greetings,
Maxime

--=-KIPIS5wMxQdqvNEVNfHL
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYdsynhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7tWUAQDYiNvWL8eNvMy93IT5V6Yt9Gy3
AizgRIsB3jTN3tVA/QEAywKMTTr8+oki83WScwoYlr2oS1OUIKJhvWS46hjz9Qk=
=dBjL
-----END PGP SIGNATURE-----

--=-KIPIS5wMxQdqvNEVNfHL--





Acknowledgement sent to Maxime Devos <maximedevos@HIDDEN>:
New bug report received and forwarded. Copy sent to liliana.prikler@HIDDEN, ludo@HIDDEN, iskarian@HIDDEN, public@HIDDEN, guix-patches@HIDDEN. Full text available.
Report forwarded to liliana.prikler@HIDDEN, ludo@HIDDEN, iskarian@HIDDEN, public@HIDDEN, guix-patches@HIDDEN:
bug#53144; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 6 Jun 2022 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.